* 2020-08-19(Tal Galili) Remove "\link[d3heatmap]{d3heatmap}" from .Rd since d3heatmap was removed from CRAN |50540e1| 
|  DESCRIPTION     |  2 +-
|  NEWS            |  1 +
|  NEWS.md         |  1 +
|  R/heatmapr.R    | 10 +++++-----
|  man/heatmapr.Rd |  8 ++++----
|  5 files changed, 12 insertions(+), 10 deletions(-)

* 2020-08-19(Tal Galili) Combine all fixes, and prepare to release to CRAN |5ab5e8b| 
|  DESCRIPTION       |  4 ++--
|  NEWS              | 21 ++++-------------
|  NEWS.md           | 10 +++++++++
|  docs/CONDUCT.html |  9 +++++---
|  docs/authors.html | 10 ++++++---
|  docs/index.html   | 65 +++++++++++++++++++++++++++++++----------------------
|  6 files changed, 67 insertions(+), 52 deletions(-)

* 2020-08-15(Alan O'Callaghan) Resolve #250 |49ab03e| 
|  DESCRIPTION                          |  6 +++---
|  NEWS                                 |  6 ++++++
|  R/heatmaply.R                        | 11 +++++++----
|  man/heatmaply.Rd                     | 21 ++++++++++-----------
|  tests/testthat/test_heatmaply_misc.R |  5 ++++-
|  5 files changed, 30 insertions(+), 19 deletions(-)

* 2020-08-10(Alan O'Callaghan) Fix label handling for ggheatmap, resolve #248 |75821d3| 
|  DESCRIPTION   |  4 ++--
|  NEWS          |  6 ++++++
|  R/heatmaply.R |  3 ++-
|  R/plots.R     | 22 ++++++++++------------
|  4 files changed, 20 insertions(+), 15 deletions(-)

* 2020-07-15(Alan O'Callaghan) Resolve #246 |9556347| 
|  DESCRIPTION   |  4 ++--
|  NEWS          |  5 +++++
|  R/heatmaply.R | 21 ++++++++++-----------
|  R/plots.R     |  6 +++++-
|  4 files changed, 22 insertions(+), 14 deletions(-)

*   2020-05-26(Alan O'Callaghan) Merge branch 'master' of github.com:talgalili/heatmaply |920648c
|\  
| * 2020-03-27(Tal Galili) minor fix to NEWS |9048892| | 
| |  NEWS    | 1 -
| |  NEWS.md | 2 +-
| |  2 files changed, 1 insertion(+), 2 deletions(-)

| * 2020-03-27(Tal Galili) fix version number, pkgdown, preparing for CRAN (version 1.1.0) |13e389c| | 
| |  ChangeLog                                  |  93 +++++
| |  DESCRIPTION                                |   4 +-
| |  NEWS                                       |  38 +-
| |  NEWS.md                                    |  21 +
| |  docs/404.html                              |  34 +-
| |  docs/CONDUCT.html                          |  34 +-
| |  docs/articles/heatmaply.html               | 558 ++++++++++++-------------
| |  docs/articles/index.html                   |  35 +-
| |  docs/authors.html                          |  34 +-
| |  docs/bootstrap-toc.css                     |  60 +++
| |  docs/bootstrap-toc.js                      | 159 +++++++
| |  docs/index.html                            |  70 ++--
| |  docs/news/index.html                       | 152 +++----
| |  docs/pkgdown.css                           | 121 +++++-
| |  docs/pkgdown.js                            |   5 -
| |  docs/pkgdown.yml                           |   3 +-
| |  docs/reference/RColorBrewer_colors.html    |  47 +--
| |  docs/reference/ggheatmap.html              |  43 +-
| |  docs/reference/ggplot_side_color_plot.html |  43 +-
| |  docs/reference/heatmaply.html              |  67 +--
| |  docs/reference/heatmaply_iris.html         |   2 +-
| |  docs/reference/heatmapr.html               |  47 +--
| |  docs/reference/index.html                  |  42 +-
| |  docs/reference/is.heatmapr.html            |  43 +-
| |  docs/reference/is.na10.html                |  47 +--
| |  docs/reference/is.plotly.html              |  43 +-
| |  docs/reference/normalize.html              |  47 +--
| |  docs/reference/percentize.html             |  47 +--
| |  28 files changed, 1187 insertions(+), 752 deletions(-)

* | 2020-05-26(Alan O'Callaghan) Resolve #241 |b856358
|/  |   
|    DESCRIPTION   |  4 ++--
|    NEWS          |  7 ++++++
|    R/heatmaply.R |  6 ++---
|    R/plots.R     | 65 +++++++++++++++++++++++++++++++++++++++++++++----------
|    4 files changed, 66 insertions(+), 16 deletions(-)

* 2020-02-29(Alan O'Callaghan) Bump description/news |53577d5| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 6 ++++++
|  2 files changed, 8 insertions(+), 2 deletions(-)

* 2020-02-29(Huzefa Khalil) Fix for #231 (#232) |16890f5| 
|  R/plots.R | 74 +++++++++++++++++++++++++++++++------------------------------
|  1 file changed, 38 insertions(+), 36 deletions(-)

*   2020-02-15(Alan O'Callaghan) Merge branch 'master' of github.com:talgalili/heatmaply |ded426c
|\  
| * 2020-02-13(Alan O'Callaghan) Correct version and add colorbar_thickness arg |4076c69| | 
| |  DESCRIPTION      |  2 +-
| |  NEWS             | 13 +++++++++++++
| |  NEWS.md          |  7 -------
| |  R/heatmaply.R    | 55 ++++++++++++++++++++++++++--------------------------
| |  R/plots.R        | 18 +++++++++++++----
| |  man/heatmaply.Rd |  5 +++++
| |  6 files changed, 61 insertions(+), 39 deletions(-)

| * 2020-02-13(Alan O'Callaghan) Wrong semver |b8e3c9c| | 
| |  DESCRIPTION | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

* | 2020-02-15(Alan O'Callaghan) Revert "Resolve #229" |aefcb44
|/  |   
|    DESCRIPTION |  4 ++--
|    NEWS        | 19 +++++++++++++++++++
|    NEWS.md     |  7 -------
|    R/plots.R   |  2 --
|    4 files changed, 21 insertions(+), 11 deletions(-)

* 2020-02-13(Alan O'Callaghan) Resolve #229 |e84da51| 
|  DESCRIPTION | 4 ++--
|  NEWS.md     | 7 +++++++
|  R/plots.R   | 2 ++
|  3 files changed, 11 insertions(+), 2 deletions(-)

* 2020-01-06(Alan O'Callaghan) Docs |57abdb8| 
|  DESCRIPTION      |  2 +-
|  man/heatmaply.Rd | 11 ++++++++---
|  2 files changed, 9 insertions(+), 4 deletions(-)

* 2020-01-06(Alan O'Callaghan) Wrong semver |4073b08| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2020-01-06(Alan O'Callaghan) add dendrogram_layers argument |1299fd2| 
|  DESCRIPTION   |  4 ++--
|  NEWS          | 10 ++++++++++
|  R/heatmaply.R | 18 ++++++++++++------
|  3 files changed, 24 insertions(+), 8 deletions(-)

* 2019-12-07(Tal Galili) Update issue templates |3a626ad| 
|  .github/ISSUE_TEMPLATE/bug_report.md      | 10 +++++-----
|  .github/ISSUE_TEMPLATE/feature_request.md |  8 ++++----
|  2 files changed, 9 insertions(+), 9 deletions(-)

* 2019-12-06(Tal Galili) Improve the README with link to stackoverflow. |6ea9c1e| 
|  DESCRIPTION       |  4 ++--
|  NEWS              |  7 +++++++
|  R/zzz.R           |  1 +
|  README.md         |  7 ++++---
|  docs/CONDUCT.html |  2 +-
|  docs/authors.html |  2 +-
|  docs/index.html   | 10 ++++++----
|  7 files changed, 22 insertions(+), 11 deletions(-)

* 2019-12-05(Tal Galili) Fix wrong url (again...) |f4e9a8a| 
|  DESCRIPTION                        |  2 +-
|  NEWS                               |  2 +-
|  NEWS.md                            |  2 +-
|  docs/articles/heatmaply.html       | 78 ++++++++++++++++++------------------
|  docs/news/index.html               |  6 +--
|  docs/reference/heatmaply.html      |  2 +-
|  docs/reference/heatmaply_iris.html |  2 +-
|  vignettes/heatmaply.Rmd            |  2 +-
|  8 files changed, 48 insertions(+), 48 deletions(-)

* 2019-12-03(Tal Galili) Fixed a few canonical URL issues in the vignette |1b0e356| 
|  ChangeLog                          | 51 +++++++++++++++++++++
|  DESCRIPTION                        |  2 +-
|  NEWS                               |  3 +-
|  NEWS.md                            |  3 +-
|  README.md                          |  2 +-
|  docs/articles/heatmaply.html       | 86 ++++++++++++++++++------------------
|  docs/index.html                    |  2 +-
|  docs/news/index.html               |  7 +--
|  docs/reference/heatmaply_iris.html |  2 +-
|  vignettes/heatmaply.Rmd            | 12 ++---
|  10 files changed, 112 insertions(+), 58 deletions(-)

* 2019-11-23(Tal Galili) Update docs before release to CRAN |69b42ae| 
|  ChangeLog                                         | 115 +++
|  DESCRIPTION                                       |   6 +-
|  NEWS                                              |  10 +-
|  NEWS.md                                           |  21 +-
|  R/zzz.R                                           |   1 +
|  README.md                                         |   2 +-
|  docs/404.html                                     | 138 +++
|  docs/CONDUCT.html                                 |  20 +-
|  docs/articles/heatmaply.html                      | 653 +++++++++-----
|  .../figure-html/unnamed-chunk-21-1.png            | Bin 0 -> 50131 bytes
|  .../figure-html/unnamed-chunk-24-1.png            | Bin 0 -> 44299 bytes
|  .../figure-html/unnamed-chunk-29-1.png            | Bin 0 -> 86294 bytes
|  .../htmlwidgets-1.5.1}/htmlwidgets.js             |  74 +-
|  .../plotly-binding-4.9.1}/plotly.js               |  30 +-
|  .../plotly-htmlwidgets.css                        |   0
|  .../plotly-main-1.49.4/plotly-latest.min.js       |   7 +
|  docs/articles/index.html                          |  20 +-
|  docs/authors.html                                 |  20 +-
|  docs/index.html                                   |  73 +-
|  docs/news/index.html                              |  99 ++-
|  docs/pkgdown.css                                  |  46 +-
|  docs/pkgdown.js                                   |  14 +-
|  docs/pkgdown.yml                                  |   2 +-
|  docs/reference/RColorBrewer_colors-1.png          | Bin 11695 -> 54380 bytes
|  docs/reference/RColorBrewer_colors-2.png          | Bin 15609 -> 74571 bytes
|  docs/reference/RColorBrewer_colors.html           |  51 +-
|  docs/reference/ggheatmap-1.png                    | Bin 0 -> 158702 bytes
|  docs/reference/ggheatmap.html                     | 183 ++++
|  docs/reference/ggplot_side_color_plot.html        |  33 +-
|  docs/reference/heatmaply-1.png                    | Bin 32964 -> 75746 bytes
|  docs/reference/heatmaply.html                     | 531 +++++++----
|  docs/reference/heatmaply_iris.html                |  17 +-
|  .../htmlwidgets-1.5.1/htmlwidgets.js              | 903 +++++++++++++++++++
|  .../plotly-binding-4.9.1/plotly.js                | 935 ++++++++++++++++++++
|  .../plotly-htmlwidgets.css                        |   9 +
|  .../plotly-main-1.46.1/plotly-latest.min.js       |   7 -
|  .../plotly-main-1.49.4/plotly-latest.min.js       |   7 +
|  docs/reference/heatmapr.html                      | 120 ++-
|  docs/reference/index.html                         |  38 +-
|  docs/reference/is.heatmapr.html                   |  20 +-
|  docs/reference/is.na10.html                       |  55 +-
|  docs/reference/is.plotly.html                     |  20 +-
|  docs/reference/normalize.html                     |  42 +-
|  docs/reference/percentize.html                    |  43 +-
|  man/ggplot_side_color_plot.Rd                     |  14 +-
|  man/heatmaply.Rd                                  | 202 +++--
|  man/heatmapr.Rd                                   |  58 +-
|  vignettes/heatmaply.Rmd                           |   4 +-
|  48 files changed, 3870 insertions(+), 773 deletions(-)

* 2019-11-01(Alan O'Callaghan) Add more examples to vignette! (#224) |d40d361| 
|  vignettes/heatmaply.Rmd | 66 +++++++++++++++++++++++++++++++++++++++++++++--
|  1 file changed, 64 insertions(+), 2 deletions(-)

* 2019-10-15(Alan O'Callaghan) Add ggheatmap, improve vignette for V1.0.0. (#220) |08a9b19| 
|  DESCRIPTION                          |   4 +-
|  NAMESPACE                            |   1 +
|  NEWS                                 |   9 +-
|  R/ggheatmap.R                        |  80 +++++
|  R/heatmaply.R                        |  73 +++--
|  R/plots.R                            |  14 +-
|  man/ggheatmap.Rd                     |  25 ++
|  man/heatmaply.Rd                     |   9 +-
|  tests/testthat/test_ggheatmap.R      |  20 ++
|  tests/testthat/test_heatmaply.R      |  35 +--
|  tests/testthat/test_heatmaply_misc.R |   2 +-
|  vignettes/heatmaply.Rmd              | 523 +++++++++++++++++++++------------
|  12 files changed, 539 insertions(+), 256 deletions(-)

* 2019-09-27(Tal Galili) Update issue templates 2 |2a6c548| 
|  .github/ISSUE_TEMPLATE/bug_report.md | 7 +++++--
|  1 file changed, 5 insertions(+), 2 deletions(-)

* 2019-09-27(Tal Galili) Update issue templates |e2548ad| 
|  .github/ISSUE_TEMPLATE/bug_report.md      | 26 ++++++++++++++++++++++++++
|  .github/ISSUE_TEMPLATE/feature_request.md | 20 ++++++++++++++++++++
|  2 files changed, 46 insertions(+)

* 2019-09-02(Alan O'Callaghan) Add create_dend test |0935a08| 
|  R/heatmapr.R                   | 22 +++++++++++-----------
|  tests/testthat/test_heatmapr.R |  8 ++++++++
|  2 files changed, 19 insertions(+), 11 deletions(-)

* 2019-08-19(Alan O'Callaghan) pkgdown rule |26dcecb| 
|  Makefile | 3 +++
|  1 file changed, 3 insertions(+)

* 2019-08-19(Alan O'Callaghan) Resolve #44 |3eefa56| 
|  R/heatmapr.R                         | 62 +++++++++++++---------------------
|  tests/testthat/test_heatmaply_misc.R |  2 +-
|  2 files changed, 25 insertions(+), 39 deletions(-)

* 2019-08-19(Alan O'Callaghan) Resolve #182 |0372ae3| 
|  .Rbuildignore           | 2 ++
|  .gitignore              | 2 ++
|  vignettes/heatmaply.Rmd | 9 ++++++++-
|  3 files changed, 12 insertions(+), 1 deletion(-)

* 2019-08-19(Alan O'Callaghan) Add hclust_method=NA functionality. Resolve #58 |a193b75| 
|  .gitignore                           |  1 +
|  NEWS                                 |  2 ++
|  R/heatmaply.R                        |  5 ++++-
|  R/heatmapr.R                         | 12 ++++++++----
|  man/heatmaply.Rd                     |  5 ++++-
|  tests/testthat/test_heatmaply_misc.R |  7 ++++++-
|  6 files changed, 25 insertions(+), 7 deletions(-)

* 2019-08-19(Alan O'Callaghan) cellnote and grid_gap fixes |4df91c2| 
|  NEWS          |  2 ++
|  R/heatmaply.R | 25 +++++++++++--------------
|  R/plots.R     |  3 ++-
|  3 files changed, 15 insertions(+), 15 deletions(-)

* 2019-08-02(Alan O'Callaghan) show_dendrogram argument (#215) |b66df95| 
|  NEWS                           |  6 ++++++
|  R/heatmaply.R                  | 34 ++++++++++++++++++++++++----------
|  R/heatmapr.R                   | 19 ++++++++++++++++---
|  man/heatmaply.Rd               | 21 +++++++++++++--------
|  man/heatmapr.Rd                | 29 ++++++++++++++++++-----------
|  tests/testthat/test_heatmapr.R |  9 +++++++++
|  6 files changed, 86 insertions(+), 32 deletions(-)

*   2019-07-19(Alan O'Callaghan) Merge branch 'master' of github.com:talgalili/heatmaply |a352dff
|\  
| * 2019-07-19(Tal Galili) attempt to have heatmaply show in the examples of pkgdown (didn't work, sadly. But still this version is better..) |8b81673| | 
| |  ChangeLog                                        |   145 +
| |  DESCRIPTION                                      |     2 +-
| |  NEWS                                             |     2 +-
| |  NEWS.md                                          |     4 +-
| |  R/zzz.R                                          |     3 +-
| |  docs/articles/heatmaply.html                     |    66 +-
| |  docs/news/index.html                             |     7 +-
| |  docs/reference/RColorBrewer_colors-1.png         |   Bin 0 -> 11695 bytes
| |  docs/reference/RColorBrewer_colors-2.png         |   Bin 0 -> 15609 bytes
| |  docs/reference/RColorBrewer_colors.html          |    22 +-
| |  docs/reference/heatmaply-1.png                   |   Bin 0 -> 32964 bytes
| |  docs/reference/heatmaply.html                    |    63 +-
| |  docs/reference/heatmaply_iris.html               |    22 +
| |  docs/reference/heatmaply_iris.png                |   Bin 0 -> 39646 bytes
| |  .../crosstalk-1.0.0/css/crosstalk.css            |    27 +
| |  .../crosstalk-1.0.0/js/crosstalk.js              |  1471 +++
| |  .../crosstalk-1.0.0/js/crosstalk.js.map          |    37 +
| |  .../crosstalk-1.0.0/js/crosstalk.min.js          |     2 +
| |  .../crosstalk-1.0.0/js/crosstalk.min.js.map      |     1 +
| |  .../htmlwidgets-1.3/htmlwidgets.js               |   839 ++
| |  .../jquery-1.11.3/jquery-AUTHORS.txt             |   217 +
| |  .../heatmaply_iris_files/jquery-1.11.3/jquery.js | 10351 +++++++++++++++++
| |  .../jquery-1.11.3/jquery.min.js                  |     5 +
| |  .../jquery-1.11.3/jquery.min.map                 |     1 +
| |  .../plotly-binding-4.9.0/plotly.js               |   931 ++
| |  .../plotly-htmlwidgets.css                       |     9 +
| |  .../plotly-main-1.46.1/plotly-latest.min.js      |     7 +
| |  .../typedarray-0.1/typedarray.min.js             |     1 +
| |  docs/reference/heatmapr.html                     |     6 +-
| |  docs/reference/is.na10.html                      |     7 +-
| |  docs/reference/normalize.html                    |    20 +-
| |  docs/reference/percentize.html                   |    20 +-
| |  32 files changed, 14183 insertions(+), 105 deletions(-)

* | 2019-07-19(Alan O'Callaghan) Add default val |240f1a4
|/  |   
|    R/plots.R                     | 2 +-
|    man/ggplot_side_color_plot.Rd | 3 ++-
|    2 files changed, 3 insertions(+), 2 deletions(-)

* 2019-07-18(Alan O'Callaghan) fontsize_row/col applies to side colours too |18502a1| 
|  NEWS          |  2 ++
|  R/heatmaply.R |  7 ++++---
|  R/plots.R     | 63 +++++++--------------------------------------------------
|  3 files changed, 13 insertions(+), 59 deletions(-)

* 2019-07-18(Alan O'Callaghan) Remove unused ticklabel arg |88e3ca6| 
|  R/heatmaply.R | 3 +--
|  1 file changed, 1 insertion(+), 2 deletions(-)

* 2019-07-17(Tal Galili) add ignores to pass CRAN |6fecb8f| 
|  .Rbuildignore | 20 ++++++++++++++++++++
|  1 file changed, 20 insertions(+)

* 2019-07-17(Tal Galili) updae pgddown (and fix .gitignore) |44f510d| 
|  .gitignore                                        |     2 +-
|  R/zzz.R                                           |     1 +
|  docs/CONDUCT.html                                 |   138 +
|  docs/articles/heatmaply.html                      |   536 +
|  .../crosstalk-1.0.0/css/crosstalk.css             |    27 +
|  .../crosstalk-1.0.0/js/crosstalk.js               |  1471 +++
|  .../crosstalk-1.0.0/js/crosstalk.js.map           |    37 +
|  .../crosstalk-1.0.0/js/crosstalk.min.js           |     2 +
|  .../crosstalk-1.0.0/js/crosstalk.min.js.map       |     1 +
|  .../figure-html/unnamed-chunk-20-1.png            |   Bin 0 -> 10157 bytes
|  .../figure-html/unnamed-chunk-23-1.png            |   Bin 0 -> 9430 bytes
|  .../htmlwidgets-1.3/htmlwidgets.js                |   839 ++
|  .../jquery-1.11.3/jquery-AUTHORS.txt              |   217 +
|  .../heatmaply_files/jquery-1.11.3/jquery.js       | 10351 ++++++++++++++++++
|  .../heatmaply_files/jquery-1.11.3/jquery.min.js   |     5 +
|  .../heatmaply_files/jquery-1.11.3/jquery.min.map  |     1 +
|  .../plotly-binding-4.9.0/plotly.js                |   931 ++
|  .../plotly-htmlwidgets.css                        |     9 +
|  .../plotly-main-1.46.1/plotly-latest.min.js       |     7 +
|  .../typedarray-0.1/typedarray.min.js              |     1 +
|  docs/articles/index.html                          |   134 +
|  docs/authors.html                                 |   166 +
|  docs/docsearch.css                                |   148 +
|  docs/docsearch.js                                 |    85 +
|  docs/index.html                                   |   291 +
|  docs/link.svg                                     |    12 +
|  docs/news/index.html                              |   745 ++
|  docs/pkgdown.css                                  |   236 +
|  docs/pkgdown.js                                   |   115 +
|  docs/pkgdown.yml                                  |     6 +
|  docs/reference/RColorBrewer_colors.html           |   277 +
|  docs/reference/ggplot_side_color_plot.html        |   194 +
|  docs/reference/heatmaply.html                     |   804 ++
|  docs/reference/heatmapr.html                      |   387 +
|  docs/reference/index.html                         |   205 +
|  docs/reference/is.heatmapr.html                   |   162 +
|  docs/reference/is.na10.html                       |   198 +
|  docs/reference/is.plotly.html                     |   162 +
|  docs/reference/normalize.html                     |   196 +
|  docs/reference/percentize.html                    |   196 +
|  40 files changed, 19294 insertions(+), 1 deletion(-)

* 2019-07-17(Tal Galili) redo pkgdown |a0f1e1f| 
|  .../crosstalk-1.0.0/css/crosstalk.css             |    27 -
|  .../crosstalk-1.0.0/js/crosstalk.js               |  1471 ---
|  .../crosstalk-1.0.0/js/crosstalk.js.map           |    37 -
|  .../crosstalk-1.0.0/js/crosstalk.min.js           |     2 -
|  .../crosstalk-1.0.0/js/crosstalk.min.js.map       |     1 -
|  .../figure-html/unnamed-chunk-20-1.png            |   Bin 10157 -> 0 bytes
|  .../figure-html/unnamed-chunk-23-1.png            |   Bin 9430 -> 0 bytes
|  .../htmlwidgets-1.3/htmlwidgets.js                |   839 --
|  .../jquery-1.11.3/jquery-AUTHORS.txt              |   217 -
|  .../heatmaply_files/jquery-1.11.3/jquery.js       | 10351 ------------------
|  .../heatmaply_files/jquery-1.11.3/jquery.min.js   |     5 -
|  .../heatmaply_files/jquery-1.11.3/jquery.min.map  |     1 -
|  .../plotly-binding-4.9.0/plotly.js                |   931 --
|  .../plotly-htmlwidgets.css                        |     9 -
|  .../plotly-main-1.46.1/plotly-latest.min.js       |     7 -
|  .../typedarray-0.1/typedarray.min.js              |     1 -
|  docs/docsearch.css                                |   148 -
|  docs/docsearch.js                                 |    85 -
|  docs/link.svg                                     |    12 -
|  docs/pkgdown.css                                  |   236 -
|  docs/pkgdown.js                                   |   115 -
|  docs/pkgdown.yml                                  |     6 -
|  22 files changed, 14501 deletions(-)

* 2019-07-17(Tal Galili) minor fixes |c272344| 
|  DESCRIPTION |  2 +-
|  NEWS        |  2 +-
|  NEWS.md     | 12 ++++++++++--
|  3 files changed, 12 insertions(+), 4 deletions(-)

*   2019-07-17(Tal Galili) merge |5c3c451
|\  
| * 2019-07-15(Alan O'Callaghan) Fix labels bug introduced with fix for #214 |6268509| | 
| |  R/heatmaply.R | 9 +++++----
| |  R/plots.R     | 7 ++++---
| |  2 files changed, 9 insertions(+), 7 deletions(-)

| *   2019-07-15(Alan O'Callaghan) Merge branch 'master' of github.com:talgalili/heatmaply |7850098
| |\  
| | * 2019-07-12(Alan O'Callaghan) fix showticklabels behaviour for plotly |5c930b4| | | 
| | |  NEWS          |  2 +-
| | |  R/heatmaply.R | 22 ++++++++++++++++------
| | |  2 files changed, 17 insertions(+), 7 deletions(-)

| * | 2019-07-15(Alan O'Callaghan) Add note to news, use _row not row |73d4152
| |/  | |   
| |    NEWS          |  2 +-
| |    R/heatmaply.R | 21 +++++++++++++++------
| |    R/heatmapr.R  |  2 +-
| |    3 files changed, 17 insertions(+), 8 deletions(-)

| * 2019-06-18(Alan O'Callaghan) Resolve #212 |7e4b829| | 
| |  NEWS          |  9 +++++++++
| |  R/heatmaply.R | 10 +++++-----
| |  R/plots.R     |  4 +++-
| |  3 files changed, 17 insertions(+), 6 deletions(-)

* | 2019-07-17(Tal Galili) Started using pkgdown :) |aeaa89c
|/  |   
|    ChangeLog                                        |    21 +
|    DESCRIPTION                                      |     7 +-
|    NEWS                                             |     5 +
|    NEWS.md                                          |     5 +
|    .../crosstalk-1.0.0/css/crosstalk.css            |    27 +
|    .../crosstalk-1.0.0/js/crosstalk.js              |  1471 +++
|    .../crosstalk-1.0.0/js/crosstalk.js.map          |    37 +
|    .../crosstalk-1.0.0/js/crosstalk.min.js          |     2 +
|    .../crosstalk-1.0.0/js/crosstalk.min.js.map      |     1 +
|    .../figure-html/unnamed-chunk-20-1.png           |   Bin 0 -> 10157 bytes
|    .../figure-html/unnamed-chunk-23-1.png           |   Bin 0 -> 9430 bytes
|    .../htmlwidgets-1.3/htmlwidgets.js               |   839 ++
|    .../jquery-1.11.3/jquery-AUTHORS.txt             |   217 +
|    .../heatmaply_files/jquery-1.11.3/jquery.js      | 10351 +++++++++++++++++
|    .../heatmaply_files/jquery-1.11.3/jquery.min.js  |     5 +
|    .../heatmaply_files/jquery-1.11.3/jquery.min.map |     1 +
|    .../plotly-binding-4.9.0/plotly.js               |   931 ++
|    .../plotly-htmlwidgets.css                       |     9 +
|    .../plotly-main-1.46.1/plotly-latest.min.js      |     7 +
|    .../typedarray-0.1/typedarray.min.js             |     1 +
|    docs/docsearch.css                               |   148 +
|    docs/docsearch.js                                |    85 +
|    docs/link.svg                                    |    12 +
|    docs/pkgdown.css                                 |   236 +
|    docs/pkgdown.js                                  |   115 +
|    docs/pkgdown.yml                                 |     6 +
|    26 files changed, 14536 insertions(+), 3 deletions(-)

* 2019-05-11(Tal Galili) bump to 0.16.0 |998d55d| 
|  DESCRIPTION | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2019-05-10(Tal Galili) undo last commit |e5fa2c7| 
|  man/heatmaply.Rd | 81 ++++++++++++++++++++++++++++--------------------------
|  man/heatmapr.Rd  | 17 ++++++------
|  2 files changed, 51 insertions(+), 47 deletions(-)

* 2019-05-10(Tal Galili) Update docs |94d8774| 
|  man/heatmaply.Rd | 81 ++++++++++++++++++++++++++----------------------------
|  man/heatmapr.Rd  | 17 ++++++------
|  2 files changed, 47 insertions(+), 51 deletions(-)

* 2019-05-10(Tal Galili) Update NEWS and bumped to 0.16.0 |5ed450f| 
|  ChangeLog   | 167 ++++++++++++++++++++++++++++++++++++++++++++--------------
|  DESCRIPTION |   8 +--
|  NEWS        |  27 ++++------
|  NEWS.md     |  27 ++++++++--
|  4 files changed, 166 insertions(+), 63 deletions(-)

* 2019-05-01(Alan O'Callaghan) Namespace fix |02568d7| 
|  NAMESPACE | 1 +
|  R/plots.R | 1 +
|  2 files changed, 2 insertions(+)

* 2019-05-01(Alan O'Callaghan) Bug in tests |65b54ec| 
|  tests/testthat/test_misc.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2019-05-01(Alan O'Callaghan) Remove collaborate (warnings) |ba58fe5| 
|  NEWS          | 1 +
|  R/heatmaply.R | 2 +-
|  2 files changed, 2 insertions(+), 1 deletion(-)

* 2019-04-11(Alan O'Callaghan) Resolve #210 |a1bac75| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 7 +++++++
|  R/plots.R   | 3 +--
|  3 files changed, 10 insertions(+), 4 deletions(-)

* 2019-02-13(Alan O'Callaghan) style change |182dd40| 
|  R/plots.R | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2019-01-31(Alan O'Callaghan) Resolve #195 (#206) |80a80af| 
|  DESCRIPTION      |  2 +-
|  NEWS             |  4 +++
|  R/heatmaply.R    | 82 +++++++++++++++++++++++++++++++++++-------------------
|  R/plots.R        | 24 ++++++++++++----
|  man/heatmaply.Rd |  8 ++++--
|  5 files changed, 82 insertions(+), 38 deletions(-)

* 2019-01-18(Alan O'Callaghan) Remove gplots from imports |d221daf| 
|  DESCRIPTION |  2 +-
|  R/plots.R   | 10 +++++++++-
|  2 files changed, 10 insertions(+), 2 deletions(-)

* 2019-01-18(Alan O'Callaghan) Fix #202, reinstate column annotation warning |3e59946| 
|  DESCRIPTION      |  2 +-
|  NEWS             |  4 ++-
|  R/heatmaply.R    |  2 +-
|  R/plots.R        | 61 +++++++++++++++++++++++++++++------------
|  man/heatmaply.Rd | 80 ++++++++++++++++++++++++++++--------------------------
|  man/heatmapr.Rd  | 17 ++++++------
|  6 files changed, 99 insertions(+), 67 deletions(-)

* 2018-12-14(Alan O'Callaghan) Remove warning |066743a| 
|  R/heatmaply.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2018-12-14(Alan O'Callaghan) Resolve #194 |81ecf80| 
|  NEWS      | 3 +++
|  R/plots.R | 7 +++----
|  2 files changed, 6 insertions(+), 4 deletions(-)

* 2018-12-06(Alan O'Callaghan) Add fallback |0982b80| 
|  R/plots.R | 31 ++++++++++++++++++++++++++-----
|  1 file changed, 26 insertions(+), 5 deletions(-)

* 2018-12-03(Alan O'Callaghan) Update DESCRIPTION |1c089f0| 
|  DESCRIPTION | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2018-12-03(Alan O'Callaghan) Update NEWS |40bfe61| 
|  NEWS | 7 +++++++
|  1 file changed, 7 insertions(+)

* 2018-12-03(Alan O'Callaghan) Use orca (#191) |271929a| 
|  R/plots.R | 11 +++--------
|  1 file changed, 3 insertions(+), 8 deletions(-)

* 2018-07-06(Tal Galili) bump to 0.15.2 |136aea4| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2018-07-06(Tal Galili) update docs |7c24899| 
|  man/heatmaply.Rd | 5 ++---
|  1 file changed, 2 insertions(+), 3 deletions(-)

* 2018-07-06(Alan O'Callaghan) Fix test |7c8582d| 
|  R/heatmaply.R | 31 +++++++++++++++++++------------
|  1 file changed, 19 insertions(+), 12 deletions(-)

* 2018-07-06(Tal Galili) Fix  code/documentation mismatches |fde3d93| 
|  man/heatmaply.Rd | 5 +++--
|  1 file changed, 3 insertions(+), 2 deletions(-)

* 2018-07-06(Tal Galili) bump to 0.15.1 |d34575b| 
|  ChangeLog   | 72 +++++++++++++++++++++++++++++++++++++++++------------------
|  DESCRIPTION |  4 ++--
|  NEWS        |  8 +++++++
|  NEWS.md     |  8 +++++++
|  4 files changed, 68 insertions(+), 24 deletions(-)

* 2018-07-06(Alan O'Callaghan) Fix label bug |2cfc90c| 
|  R/heatmaply.R | 48 ++++++++++++++++++++----------------------------
|  1 file changed, 20 insertions(+), 28 deletions(-)

* 2018-07-06(Alan O'Callaghan) Formatting |7767111| 
|  R/heatmaply.R | 42 +++++++++++++++++++++++++-----------------
|  1 file changed, 25 insertions(+), 17 deletions(-)

*   2018-06-23(Tal Galili) Merge pull request #177 from talgalili/hotfix |fbc62df
|\  
| *   2018-06-23(Tal Galili) Merge branch 'master' into hotfix |55dcce4
| |\  
| |/  
|/|   
* | 2018-06-23(Tal Galili) version 0.15.0 |a161ba1| | 
| |  ChangeLog   | 9 +++++++++
| |  DESCRIPTION | 2 +-
| |  NEWS        | 3 ++-
| |  NEWS.md     | 3 ++-
| |  4 files changed, 14 insertions(+), 3 deletions(-)

* | 2018-05-03(Alan O'Callaghan) Resolve new plotly issue w/cellnote |163dbad| | 
| |  R/heatmaply.R | 13 ++++++++++---
| |  1 file changed, 10 insertions(+), 3 deletions(-)

* | 2018-05-02(Tal Galili) update |a557dec| | 
| |  ChangeLog | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
| |  NEWS.md   | 15 ++++++++++++++-
| |  2 files changed, 73 insertions(+), 1 deletion(-)

* | 2018-05-02(Tal Galili) heatmaply 0.15.0 - release candidate |bffe871| | 
| |  DESCRIPTION | 4 ++--
| |  NEWS        | 9 ++-------
| |  2 files changed, 4 insertions(+), 9 deletions(-)

* | 2018-04-17(Alanocallaghan) Bugfix for labCol and labRow (#169) |1e36560| | 
| |  NEWS             |  3 +++
| |  R/heatmaply.R    | 47 ++++++++++++++++++-----------------------------
| |  man/heatmaply.Rd |  9 +++++----
| |  3 files changed, 26 insertions(+), 33 deletions(-)

* | 2018-03-26(Alanocallaghan) Just use colname if ncol is 1 (#166) |d31b9a8| | 
| |  NEWS      | 6 ++++++
| |  R/plots.R | 8 ++++++--
| |  2 files changed, 12 insertions(+), 2 deletions(-)

| * 2018-06-19(Alan O'Callaghan) Fix plotly error |d41d27b
|/  |   
|    DESCRIPTION                          | 2 +-
|    R/heatmaply.R                        | 1 +
|    tests/testthat/test_heatmaply_misc.R | 2 +-
|    3 files changed, 3 insertions(+), 2 deletions(-)

* 2018-03-22(Tal Galili) Fix #165  - update doc. |3bff281| 
|  DESCRIPTION      | 4 ++--
|  R/heatmaply.R    | 6 ++++--
|  man/heatmaply.Rd | 6 ++++--
|  3 files changed, 10 insertions(+), 6 deletions(-)

*   2018-02-16(Tal Galili) merge conflicts |c2ca32f
|\  
| * 2018-02-15(Alan O'Callaghan) Edit news |4329063| | 
| |  NEWS | 6 ++++++
| |  1 file changed, 6 insertions(+)

| * 2018-02-15(Alan O'Callaghan) Ensure paste_aes is used for x and y |556a478| | 
| |  R/plots.R | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2018-02-13(Alan O'Callaghan) Bugfix node size when point size mat is a dataframe |d97c812| | 
| |  R/plots.R                            | 2 +-
| |  tests/testthat/test_heatmaply_misc.R | 1 +
| |  2 files changed, 2 insertions(+), 1 deletion(-)

| * 2018-02-13(Dan) Fix typo on README.md showing how to install dev prereqs (#154) |5675849| | 
| |  README.md | 6 +++---
| |  1 file changed, 3 insertions(+), 3 deletions(-)

* | 2018-02-16(Tal Galili) handle cases with row/col names are not all unique. fix #155 |01347bc
|/  |   
|    DESCRIPTION  |  4 ++--
|    NEWS         |  9 +++++++++
|    R/heatmapr.R | 25 +++++++++++++++++++++++++
|    3 files changed, 36 insertions(+), 2 deletions(-)

* 2018-02-01(Tal Galili) sometimes? |f761441| 
|  NEWS | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2018-02-01(Tal Galili) V0.14.1 update date and logs |e3b54f2| 
|  ChangeLog   | 36 +++++++++++++++++++++++++++++++++---
|  DESCRIPTION |  2 +-
|  NEWS        |  3 ++-
|  NEWS.md     | 10 ++++++++++
|  4 files changed, 46 insertions(+), 5 deletions(-)

* 2018-01-30(Alan O'Callaghan) Update docs and resolve #150 |89977b6| 
|  R/heatmaply.R    |  6 +-----
|  R/heatmapr.R     |  5 +++--
|  R/plots.R        | 14 ++++++--------
|  man/heatmaply.Rd |  2 +-
|  man/heatmapr.Rd  |  5 +++--
|  5 files changed, 14 insertions(+), 18 deletions(-)

* 2018-01-30(Tal Galili) the code now also works for when custom hover is NULL (default... ) |aaa1be1| 
|  R/heatmapr.R | 5 +++--
|  1 file changed, 3 insertions(+), 2 deletions(-)

* 2018-01-29(Tal Galili) If `custom_hovertext` is not a matrix - it is turned into a matrix (important if inserting a data.frame). Fix issue #151 |3aedbd8| 
|  DESCRIPTION  | 4 ++--
|  NEWS         | 9 +++++++++
|  R/heatmapr.R | 4 ++++
|  3 files changed, 15 insertions(+), 2 deletions(-)

* 2018-01-22(Alanocallaghan) Improve tick placement for side color plot colorbars (#143) |15ab8ca| 
|  R/plots.R | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2018-01-20(Tal Galili) styler |e7bbd7c| 
|  R/plots.R                            | 10 ++++++----
|  tests/testthat/test_heatmaply_misc.R |  6 ++++--
|  2 files changed, 10 insertions(+), 6 deletions(-)

* 2018-01-20(Tal Galili) update docs |4d49e07| 
|  ChangeLog   | 79 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION |  2 +-
|  NEWS        | 23 ++++++++---------
|  NEWS.md     | 39 +++++++++++++++++++----------
|  4 files changed, 116 insertions(+), 27 deletions(-)

* 2018-01-14(Alanocallaghan) Allow ordering of side colors via levels (#139) |80c2f33| 
|  DESCRIPTION   |  2 +-
|  NEWS          | 10 +++++-----
|  R/heatmaply.R |  2 --
|  R/plots.R     | 34 ++++++++++++++++++----------------
|  4 files changed, 24 insertions(+), 24 deletions(-)

* 2018-01-02(Alan O'Callaghan) Fix legend issue |d50b63d| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 7 +++++++
|  R/plots.R   | 7 ++++++-
|  3 files changed, 15 insertions(+), 3 deletions(-)

* 2017-12-19(Alanocallaghan) Scatter (#133) |6bbc377| 
|  .gitignore                           |   1 +
|  DESCRIPTION                          |   4 +-
|  NEWS                                 |  26 ++++---
|  NEWS.md                              |   6 +-
|  R/heatmaply.R                        |  80 ++++++++++++++++----
|  R/heatmapr.R                         |  17 ++++-
|  R/plots.R                            | 134 ++++++++++++++++++++++++++-------
|  R/zzz.R                              |   2 +-
|  man/heatmaply.Rd                     |  52 +++++++++----
|  man/heatmapr.Rd                      |   7 +-
|  tests/testthat.R                     |   1 -
|  tests/testthat/test_heatmaply_misc.R |  23 +++++-
|  tests/testthat/test_plots.R          |  24 ++++--
|  13 files changed, 290 insertions(+), 87 deletions(-)

* 2017-11-27(Tal Galili) some spellchecking using devtools::spell_check() |ba5298c| 
|  DESCRIPTION      |  2 +-
|  NEWS             |  3 ++-
|  R/heatmaply.R    | 22 +++++++++++-----------
|  R/heatmapr.R     |  8 ++++----
|  R/is.na10.R      |  2 +-
|  R/zzz.R          |  2 ++
|  man/heatmaply.Rd | 20 ++++++++++----------
|  man/heatmapr.Rd  |  8 ++++----
|  man/is.na10.Rd   |  2 +-
|  man/is.plotly.Rd |  2 +-
|  10 files changed, 37 insertions(+), 34 deletions(-)

* 2017-11-27(Tal Galili) better explenation on what the na.rm argument does. |425731f| 
|  R/heatmaply.R    | 7 ++++++-
|  man/heatmaply.Rd | 7 ++++++-
|  2 files changed, 12 insertions(+), 2 deletions(-)

*   2017-11-27(Tal Galili) Merge pull request #130 from washcycle/patch-1 |86dca9b
|\  
| * 2017-11-27(Matt) Update heatmaply.R |e9212c4
|/  |   
|    R/heatmaply.R | 2 +-
|    1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-11-23(Tal Galili) USing stylr to improve the readability of the R code. (AFAICS it doesn't break anything) |26deb1d| 
|  ChangeLog                            |  92 ++++++++
|  DESCRIPTION                          |   4 +-
|  NEWS                                 |   9 +
|  NEWS.md                              |  25 ++-
|  R/RColorBrewer.R                     |  53 +++--
|  R/distfuns.R                         |   3 +-
|  R/heatmaply.R                        | 397 ++++++++++++++++++---------------
|  R/heatmapr.R                         | 307 +++++++++++++------------
|  R/is.na10.R                          |   3 -
|  R/percentize.R                       |  27 +--
|  R/plots.R                            | 271 ++++++++++++----------
|  R/zzz.R                              |  49 ++--
|  tests/testthat/test_RColorBrewer.R   |  58 ++---
|  tests/testthat/test_heatmaply.R      | 100 ++++++---
|  tests/testthat/test_heatmaply_misc.R |  42 ++--
|  tests/testthat/test_heatmapr.R       |   6 +-
|  tests/testthat/test_misc.R           |  10 +-
|  tests/testthat/test_plots.R          | 206 +++++++++--------
|  18 files changed, 966 insertions(+), 696 deletions(-)

* 2017-11-13(Tal Galili) Give information in the help file about issue #125 |6dc7510| 
|  R/heatmaply.R    | 2 ++
|  man/heatmaply.Rd | 4 +++-
|  2 files changed, 5 insertions(+), 1 deletion(-)

* 2017-11-13(Tal Galili) Fix #121 also when row_side_colors is supplied |243e623| 
|  R/heatmaply.R | 25 +++++++++++++------------
|  1 file changed, 13 insertions(+), 12 deletions(-)

* 2017-11-13(Tal Galili) Fix |890722c| 
|  NAMESPACE        | 3 +++
|  R/zzz.R          | 6 +++++-
|  man/heatmaply.Rd | 2 +-
|  3 files changed, 9 insertions(+), 2 deletions(-)

* 2017-11-13(Tal Galili) true or TRUE? |d5d0fed| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-11-13(Tal Galili) fix links and move text a bit |023d2c5| 
|  README.md | 31 +++++++++++++++----------------
|  1 file changed, 15 insertions(+), 16 deletions(-)

* 2017-11-13(Tal Galili) modify welcome message a bit (remove the how to suppress) |afb035b| 
|  R/zzz.R | 14 +++++++-------
|  1 file changed, 7 insertions(+), 7 deletions(-)

* 2017-11-13(Tal Galili) Add "How to cite " |8d4ae87| 
|  README.md | 37 +++++++++++++++++++++++++++++++++----
|  1 file changed, 33 insertions(+), 4 deletions(-)

* 2017-11-11(Tal Galili) fix #123 - draw_cellnote = TRUE fails for matrix with NA |e4348be| 
|  NEWS      | 2 ++
|  R/plots.R | 5 +++++
|  2 files changed, 7 insertions(+)

* 2017-11-11(Tal Galili) another solution to #121 |6786bd7| 
|  R/heatmaply.R | 8 +++++++-
|  1 file changed, 7 insertions(+), 1 deletion(-)

* 2017-11-11(Tal Galili) set a temporary is.Rgui |4ed7332| 
|  R/heatmaply.R | 5 +++++
|  1 file changed, 5 insertions(+)

* 2017-11-11(Tal Galili) Solves #121 (but I don't know why...) |3b1d392| 
|  DESCRIPTION   | 2 +-
|  NEWS          | 3 ++-
|  R/heatmaply.R | 7 +++++--
|  3 files changed, 8 insertions(+), 4 deletions(-)

* 2017-11-06(Alanocallaghan) Add correlation note |34f1539| 
|  NEWS | 5 +++++
|  1 file changed, 5 insertions(+)

* 2017-11-06(Alanocallaghan) Correlation distfuns (#119) |2669010| 
|  .gitignore                           |   1 +
|  R/distfuns.R                         |   8 +++
|  R/heatmaply.R                        |  15 ++--
|  R/heatmapr.R                         |  18 ++---
|  man/heatmaply.Rd                     |   5 +-
|  tests/testthat/test_heatmaply.R      |  74 --------------------
|  tests/testthat/test_heatmaply_misc.R | 123 +++++++++++++++++++++++++++++++++
|  7 files changed, 154 insertions(+), 90 deletions(-)

* 2017-11-05(Tal Galili) Meantion in NEWS: Add File size arguments (#114) - width / height |b933802| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 8 +++++++-
|  2 files changed, 9 insertions(+), 3 deletions(-)

* 2017-11-05(Tal Galili) Added a warning for when using pdf (while providing a suggested hack for the meantime) |3934b22| 
|  R/plots.R | 15 ++++++++++-----
|  1 file changed, 10 insertions(+), 5 deletions(-)

* 2017-10-31(Alanocallaghan) File size arguments (#114) |f97966e| 
|  .gitignore                      |  1 +
|  R/heatmaply.R                   |  6 +++++-
|  R/plots.R                       | 41 ++++++++++++++++++++++++++++++++++-----
|  man/heatmaply.Rd                | 17 +++++++++-------
|  tests/testthat/test_heatmaply.R |  8 ++++++++
|  5 files changed, 60 insertions(+), 13 deletions(-)

* 2017-10-30(Tal Galili) update welcome message to include information on how to cite the package. |328ab64| 
|  R/zzz.R | 2 ++
|  1 file changed, 2 insertions(+)

* 2017-10-28(Tal Galili) move version to 0.12.2 |a6b0e8f| 
|  ChangeLog   | 103 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION |   4 +--
|  NEWS        |  13 ++++++++
|  NEWS.md     |  36 +++++++++++++++++++-
|  4 files changed, 153 insertions(+), 3 deletions(-)

* 2017-10-27(Alanocallaghan) Scale before clustering (#112) |949424b| 
|  R/heatmapr.R | 25 ++++++++++++-------------
|  1 file changed, 12 insertions(+), 13 deletions(-)

* 2017-10-26(Tal Galili) typo |75002b2| 
|  inst/CITATION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-10-26(Tal Galili) hopefully fix missing import warnings |6f011e7| 
|  DESCRIPTION | 4 ++--
|  R/zzz.R     | 2 +-
|  2 files changed, 3 insertions(+), 3 deletions(-)

* 2017-10-26(Tal Galili) Fixed '::' or ':::' import not declared from: 'jsonlite' |07c5959| 
|  R/plots.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-10-25(Tal Galili) misc |f2d0fe0| 
|  tests/testthat/test_heatmaply.R | 14 +++++++-------
|  1 file changed, 7 insertions(+), 7 deletions(-)

* 2017-10-25(Tal Galili) hopefully solve webshot being in imports without being called for. |7a167fb| 
|  NAMESPACE | 1 +
|  R/plots.R | 3 +++
|  2 files changed, 4 insertions(+)

* 2017-10-25(Tal Galili) make heatmapr example not run |c93e1ef| 
|  DESCRIPTION      | 4 ++--
|  NEWS             | 2 +-
|  R/heatmaply.R    | 1 +
|  R/heatmapr.R     | 3 +++
|  man/heatmaply.Rd | 1 +
|  man/heatmapr.Rd  | 3 +++
|  6 files changed, 11 insertions(+), 3 deletions(-)

* 2017-10-24(Alan O'Callaghan) Add tidyselect |a680b2a| 
|  DESCRIPTION | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2017-10-24(Alan O'Callaghan) Expect warning too |2e38c95| 
|  tests/testthat/test_heatmaply.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-10-24(Tal Galili) Fix Problems when formatting CITATION entries:   <connection>:4: unexpected '}' |a12ac04| 
|  inst/CITATION | 3 +--
|  1 file changed, 1 insertion(+), 2 deletions(-)

* 2017-10-24(Tal Galili) Added citation to the bioinformatics article! (http://dx.doi.org/10.1093/bioinformatics/btx657) |f79b2bf| 
|  DESCRIPTION   |  2 +-
|  NEWS          |  8 +++++++-
|  inst/CITATION | 20 ++++++++++++++++++++
|  3 files changed, 28 insertions(+), 2 deletions(-)

* 2017-10-15(Tal Galili) partially deal with #109 |b80b1e0| 
|  R/plots.R | 5 +++--
|  1 file changed, 3 insertions(+), 2 deletions(-)

* 2017-10-15(Tal Galili) ggplot_heatmap  - changing xx to df in various places. This function probably needs some refactoring. |c7f3055| 
|  R/plots.R | 8 ++++----
|  1 file changed, 4 insertions(+), 4 deletions(-)

* 2017-10-15(Tal Galili) ggplot_heatmap - now handles data.frame input |0b87ce5| 
|  NEWS      | 5 +++--
|  R/plots.R | 4 +++-
|  2 files changed, 6 insertions(+), 3 deletions(-)

* 2017-10-07(Tal Galili) Prevent grid_gap warning (#105) |9506080| 
|  NEWS | 2 ++
|  1 file changed, 2 insertions(+)

* 2017-09-29(Alanocallaghan) Prevent grid_gap warning (#105) |928676d| 
|  R/heatmaply.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-09-29(Tal Galili) update date/version |d324d57| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 4 ++++
|  2 files changed, 6 insertions(+), 2 deletions(-)

* 2017-09-29(Alanocallaghan) Cellnote size, tick labels (#104) |50bea34| 
|  NEWS                            |  8 ++++++++
|  R/heatmaply.R                   | 21 +++++++++++++++------
|  man/heatmaply.Rd                | 12 +++++++-----
|  tests/testthat/test_heatmaply.R |  8 ++++++++
|  4 files changed, 38 insertions(+), 11 deletions(-)

* 2017-09-27(Tal Galili) fix canonical url |8b115fe| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  README.md   | 2 +-
|  3 files changed, 3 insertions(+), 3 deletions(-)

* 2017-09-27(Tal Galili) update URLs for the examples |2566b50| 
|  README.md | 23 ++++++++++++++++-------
|  1 file changed, 16 insertions(+), 7 deletions(-)

* 2017-09-27(Tal Galili) update NEWS |2eff0a6| 
|  ChangeLog   | 212 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  DESCRIPTION |   2 +-
|  NEWS        |   2 +-
|  NEWS.md     |  26 ++++++-
|  4 files changed, 239 insertions(+), 3 deletions(-)

* 2017-09-27(Tal Galili) adding links to reproduction of figures from two nature papers |900a197| 
|  README.md | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2017-09-27(Tal Galili) data_preprocessing was merged into the biological_data url |d8d84dc| 
|  README.md | 1 -
|  1 file changed, 1 deletion(-)

* 2017-09-27(Tal Galili) explicit reference internal functions so to allow test_dir to work |55ec9e1| 
|  tests/testthat.R            |  4 ++++
|  tests/testthat/test_plots.R | 34 +++++++++++++++++-----------------
|  2 files changed, 21 insertions(+), 17 deletions(-)

* 2017-09-27(Tal Galili) multiply cexRow by 10 only if numeric |598a37e| 
|  R/heatmaply.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2017-09-26(Tal Galili) Fix the scale of cexRow/cexCol to that of fontsize_row/col |f46653e| 
|  NEWS          | 1 +
|  R/heatmaply.R | 4 ++--
|  2 files changed, 3 insertions(+), 2 deletions(-)

* 2017-09-26(Tal Galili) fix labCol==NA showticklabels |c97fe1d| 
|  R/heatmaply.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-09-26(Tal Galili) added labRow, labCol - to stay backward compatible with gplots::heatmap.2 |a184c51| 
|  NEWS             |  1 +
|  R/heatmaply.R    | 60 +++++++++++++++++++++++++++++++++++++++++++-----------
|  man/heatmaply.Rd |  8 ++++++--
|  3 files changed, 55 insertions(+), 14 deletions(-)

* 2017-09-26(Tal Galili) remove this annoying bug of Rplot001.jpg from the package |197bafd| 
|  .Rbuildignore | 1 +
|  1 file changed, 1 insertion(+)

* 2017-09-26(Tal Galili) adding measless example |b7e6895| 
|  README.md | 1 +
|  1 file changed, 1 insertion(+)

* 2017-09-26(Tal Galili) reduce the size of the vignette a bit |9f26081| 
|  vignettes/heatmaply.Rmd | 11 ++++++-----
|  1 file changed, 6 insertions(+), 5 deletions(-)

* 2017-09-26(Tal Galili) fix missing l in html |948fe75| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-09-26(Tal Galili) Fix: Non-standard file/directory found at top level:   'Makefile' |0b2b4a7| 
|  .Rbuildignore | 1 +
|  1 file changed, 1 insertion(+)

* 2017-09-26(Tal Galili) Fix: hmly_to_file_1file: no visible global function definition for 'export' Undefined global functions or variables:   export |f4f9552| 
|  R/plots.R | 20 ++++++++++----------
|  1 file changed, 10 insertions(+), 10 deletions(-)

* 2017-09-25(Alanocallaghan) Default colors (#91) |95ebb45| 
|  .gitignore                         |   1 -
|  Makefile                           |  13 ++
|  NEWS                               |   4 +-
|  R/heatmaply.R                      | 307 ++++++++++++++++++-----------------
|  R/plots.R                          |  98 ++++++++---
|  man/ggplot_side_color_plot.Rd      |   4 +-
|  man/heatmaply.Rd                   |   6 +-
|  tests/testthat/test_RColorBrewer.R |  37 +++++
|  tests/testthat/test_heatmaply.R    |   3 +
|  tests/testthat/test_misc.R         |   7 +
|  tests/testthat/test_plots.R        |  65 +++++++-
|  11 files changed, 362 insertions(+), 183 deletions(-)

* 2017-09-25(Tal Galili) file argument is now vectorized, allowing to pass things like: heatmaply(x, file = c("heatmaply_plot.html", "heatmaply_plot.png")) |164514e| 
|  NEWS             |  4 ++--
|  R/heatmaply.R    | 33 ++++++++++-----------------------
|  R/plots.R        | 39 +++++++++++++++++++++++++++++++++++++++
|  man/heatmaply.Rd | 14 ++++++++++----
|  4 files changed, 61 insertions(+), 29 deletions(-)

* 2017-09-25(Tal Galili) how not to plot to the viewer, while still saving to file |6af9629| 
|  vignettes/heatmaply.Rmd | 8 ++++++++
|  1 file changed, 8 insertions(+)

* 2017-09-25(Tal Galili) Add doc on how to save an heatmaply output |719ca2b| 
|  README.md               | 22 ++++++++++++++++++++++
|  vignettes/heatmaply.Rmd | 31 +++++++++++++++++++++++++++++++
|  2 files changed, 53 insertions(+)

* 2017-09-25(Tal Galili) file argument can now work with static file extensions such as png/jpeg/pdf (thanks to the webshot package). |a404ced| 
|  DESCRIPTION      |  5 +++--
|  NEWS             |  1 +
|  R/heatmaply.R    | 37 +++++++++++++++++++++++++++++--------
|  man/heatmaply.Rd | 11 ++++++++---
|  4 files changed, 41 insertions(+), 13 deletions(-)

* 2017-09-25(Tal Galili) Remove redundent files from vignette folder (these have been moved to the heatmaplyExamples package) |bffd69f| 
|  vignettes/.build.timestamp    |   0
|  vignettes/biological_data.Rmd |  50 -------------------
|  vignettes/heatmaply.R         |  30 ------------
|  vignettes/heatmaply.md        | 106 ----------------------------------------
|  4 files changed, 186 deletions(-)

* 2017-09-25(Tal Galili) mention the heatmaplyExamples package |7bae2b5| 
|  README.md | 9 +++++++++
|  1 file changed, 9 insertions(+)

* 2017-09-24(Tal Galili) minor |df90b90| 
|  R/plots.R | 24 ++++++++++++------------
|  1 file changed, 12 insertions(+), 12 deletions(-)

* 2017-09-23(Tal Galili) fix minor typos |ee012ef| 
|  README.md | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2017-09-22(Tal Galili) update |ea5ff79| 
|  man/heatmaply.Rd | 17 +++++++++--------
|  1 file changed, 9 insertions(+), 8 deletions(-)

* 2017-09-22(Tal Galili) consolidate changes in NEWS |49155ce| 
|  DESCRIPTION |  4 ++--
|  NEWS        | 12 +++---------
|  2 files changed, 5 insertions(+), 11 deletions(-)

* 2017-09-01(Alanocallaghan) Update NEWS |3bfc4a1| 
|  NEWS | 3 +++
|  1 file changed, 3 insertions(+)

* 2017-08-30(Alanocallaghan) Update NEWS |3b12d6a| 
|  NEWS | 6 ++++++
|  1 file changed, 6 insertions(+)

* 2017-08-30(Alan O'Callaghan) Resolve #94 |c8a7729| 
|  R/heatmaply.R | 12 +++++-------
|  1 file changed, 5 insertions(+), 7 deletions(-)

* 2017-07-31(Tal Galili) file argument will now deal with names that includes folder names before the file name. |f685d0c| 
|  NEWS             | 18 ++++++++++++------
|  R/heatmaply.R    | 20 +++++++++++++-------
|  man/heatmaply.Rd |  8 ++++----
|  3 files changed, 29 insertions(+), 17 deletions(-)

* 2017-07-27(Alanocallaghan) Plot tests (#87) |c5ac878| 
|  NEWS                            |   6 +-
|  R/heatmaply.R                   |   4 +-
|  R/plots.R                       |  21 +--
|  tests/testthat/test_heatmaply.R | 316 +++++++++++++++++++-------------------
|  tests/testthat/test_heatmapr.R  |  12 +-
|  tests/testthat/test_misc.R      |  22 +--
|  tests/testthat/test_plots.R     |  73 +++++++++
|  7 files changed, 266 insertions(+), 188 deletions(-)

* 2017-07-27(Alanocallaghan) Plotly side color plots (#75) |dab16ba| 
|  .gitignore                                        |   5 +
|  NAMESPACE                                         |   1 +
|  NEWS                                              |   6 +-
|  R/heatmaply.R                                     | 130 +++----
|  R/plots.R                                         | 379 ++++++++++++++------
|  man/col2plotlyrgb.Rd                              |  29 --
|  ...de_color_plot.Rd => ggplot_side_color_plot.Rd} |  10 +-
|  man/heatmaply.Rd                                  |  40 ++-
|  vignettes/biological_data.Rmd                     |  50 +++
|  vignettes/heatmaply.Rmd                           |   4 +-
|  10 files changed, 413 insertions(+), 241 deletions(-)

* 2017-07-15(Alanocallaghan) Update NEWS |87ba31c| 
|  NEWS | 6 ++++++
|  1 file changed, 6 insertions(+)

* 2017-07-14(Alanocallaghan) Add side_color_layers (#83) |8560869| 
|  R/heatmaply.R    | 12 +++++++++---
|  man/heatmaply.Rd | 33 ++++++++++++++++++---------------
|  2 files changed, 27 insertions(+), 18 deletions(-)

* 2017-06-13(Tal Galili) Added dynamicTicks (so far it breaks the heatmap due to a bug - but in the future this should help have non-overlapping ticks for large matrix) |063fe84| 
|  R/heatmaply.R    | 20 +++++++++++++++-----
|  man/heatmaply.Rd | 11 +++++++++--
|  2 files changed, 24 insertions(+), 7 deletions(-)

* 2017-05-28(Tal Galili) Note on trying to use fastcluster |78dae19| 
|  vignettes/heatmaply.Rmd | 29 +++++++++++++++++++++++++++++
|  1 file changed, 29 insertions(+)

* 2017-05-27(Tal Galili) Remove "Remotes" (doesn't pass CRAN) |556a82b| 
|  DESCRIPTION | 5 ++---
|  NEWS        | 2 +-
|  2 files changed, 3 insertions(+), 4 deletions(-)

* 2017-05-26(Tal Galili) Fix "Namespace dependency not required: 'methods'" ? |7ba28aa| 
|  DESCRIPTION | 1 +
|  1 file changed, 1 insertion(+)

*   2017-05-26(Tal Galili) Merge branch 'master' of github.com:talgalili/heatmaply |f812c9d
|\  
| * 2017-05-26(Alanocallaghan) Update DESCRIPTION |ae73ef7| | 
| |  DESCRIPTION | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

* | 2017-05-26(Tal Galili) Move a NEWS from bugfix to a feature. |bf3ecdd| | 
| |  NEWS    | 2 +-
| |  NEWS.md | 2 +-
| |  2 files changed, 2 insertions(+), 2 deletions(-)

* | 2017-05-26(Tal Galili) Fix the bild NOTE of missing importFrom: |75f8aea
|/  |   
|    NAMESPACE        |  2 ++
|    R/RColorBrewer.R | 11 +++++++++++
|    2 files changed, 13 insertions(+)

* 2017-05-26(Tal Galili) Update NEWS files |10576ad| 
|  ChangeLog | 1623 +++++++++++++++++++++++++++++++++++++++++++++--------------
|  NEWS.md   |   33 ++
|  2 files changed, 1279 insertions(+), 377 deletions(-)

* 2017-05-26(Tal Galili) Small type corrections for the vignette. |09c22f7| 
|  DESCRIPTION             | 2 +-
|  NEWS                    | 3 ++-
|  vignettes/heatmaply.Rmd | 6 ++++--
|  3 files changed, 7 insertions(+), 4 deletions(-)

* 2017-05-26(Alan O'Callaghan) Remove warning |0225da2| 
|  R/heatmaply.R | 6 ------
|  1 file changed, 6 deletions(-)

* 2017-05-24(Alan O'Callaghan) Add warning re:outdate ggplot2 |83b1b14| 
|  DESCRIPTION      | 4 ++--
|  R/heatmaply.R    | 9 ++++++++-
|  man/heatmaply.Rd | 2 +-
|  3 files changed, 11 insertions(+), 4 deletions(-)

* 2017-05-20(Tal Galili) Added cool_warm - a new divergent color pallette (from blue to red) based on Kenneth Moreland's proposal in (Diverging color maps for scientific visualization." Advances in Visual Computing (2009)), provided by the user YAK in (http://stackoverflow.com/a/44073011/256662), and which relies on code from the Rgnuplot package. |e3eb3ca| 
|  DESCRIPTION                |   2 +-
|  NAMESPACE                  |   1 +
|  NEWS                       |  20 ++++--
|  R/RColorBrewer.R           | 141 +++++++++++++++++++++++++++++++++++++++++++
|  R/heatmaply.R              |   2 +-
|  man/RColorBrewer_colors.Rd |  32 ++++++++++
|  man/heatmaply.Rd           |   2 +-
|  7 files changed, 191 insertions(+), 9 deletions(-)

* 2017-05-18(Tal Galili) Added Remotes: github::hadley/ggplot2 (since this is required to work with the upcoming plotly release) |50d9dcb| 
|  DESCRIPTION | 1 +
|  1 file changed, 1 insertion(+)

* 2017-05-18(Tal Galili) Example of printing large matrix |14a0745| 
|  R/heatmaply.R    | 11 +++++++++++
|  man/heatmaply.Rd | 11 +++++++++++
|  2 files changed, 22 insertions(+)

* 2017-05-18(Tal Galili) Make showticklabels be 2d |041b34f| 
|  NEWS             |  2 +-
|  R/heatmaply.R    | 22 ++++++++++++++--------
|  man/heatmaply.Rd | 14 +++++++++-----
|  3 files changed, 24 insertions(+), 14 deletions(-)

* 2017-05-18(Tal Galili) showticklabels = FALSE - a parameter to allow turning off of tick labels in the rows/columns - thus making the rendering of the plot much faster for larger matrix. |c0ec8e4| 
|  NEWS             |  2 +-
|  R/heatmaply.R    | 30 +++++++++++++++++++-----------
|  man/heatmaply.Rd | 10 +++++-----
|  3 files changed, 25 insertions(+), 17 deletions(-)

* 2017-05-18(Tal Galili) tickmode_auto - a parameter to allow turning the ticks into row/column numbers - thus making the rendering of the plot much faster. |b72369f| 
|  NEWS             |  1 +
|  R/heatmaply.R    | 22 ++++++++++++++++++++--
|  man/heatmaply.Rd |  8 ++++++--
|  3 files changed, 27 insertions(+), 4 deletions(-)

* 2017-05-17(Tal Galili) note to self on branching. |0ed8165| 
|  R/zzz.R | 12 ++++++++++++
|  1 file changed, 12 insertions(+)

* 2017-05-17(Tal Galili) Update Acknowledgements |4d95724| 
|  README.md | 14 ++++++++++----
|  1 file changed, 10 insertions(+), 4 deletions(-)

* 2017-05-17(Tal Galili) dendrogram parameter can now accept TRUE/FALSE as synonyms for "both"/"none". |e5d9a82| 
|  DESCRIPTION      |  2 +-
|  NEWS             |  4 ++--
|  R/heatmaply.R    | 12 ++++++++++++
|  man/heatmaply.Rd |  3 ++-
|  4 files changed, 17 insertions(+), 4 deletions(-)

* 2017-05-15(Tal Galili) Clarify the document regarding hide_colorbar |a5b476a| 
|  R/heatmaply.R    | 34 +++++++++++++++++-----------------
|  man/heatmaply.Rd |  6 +++---
|  2 files changed, 20 insertions(+), 20 deletions(-)

* 2017-05-14(Tal Galili) Adjust current github version to 0.10.0 |cf4f896| 
|  DESCRIPTION | 4 ++--
|  NEWS        | 8 ++++----
|  2 files changed, 6 insertions(+), 6 deletions(-)

* 2017-05-09(Alanocallaghan) Implement char cellnote, solve #64 (#67) |3552fbf| 
|  R/heatmaply.R |  6 +++---
|  R/heatmapr.R  | 10 +++++-----
|  2 files changed, 8 insertions(+), 8 deletions(-)

* 2017-05-09(Alanocallaghan) Update NEWS |cccdea4| 
|  NEWS | 14 ++++++++++++++
|  1 file changed, 14 insertions(+)

* 2017-05-09(Alanocallaghan) Autocolor (#66) |19848ed| 
|  R/heatmaply.R    | 90 +++++++++++++++++++++++++++++++++++++++++++++++++++---
|  man/heatmaply.Rd | 36 +++++++++++++---------
|  2 files changed, 106 insertions(+), 20 deletions(-)

* 2017-05-05(Tal Galili) Fix #63 subplot_width/subplot_height |4776693| 
|  DESCRIPTION      | 4 ++--
|  NEWS             | 9 +++++++++
|  R/heatmaply.R    | 8 ++++++++
|  man/heatmaply.Rd | 8 ++++++++
|  4 files changed, 27 insertions(+), 2 deletions(-)

* 2017-05-05(Alan O'Callaghan) Pass widths to subplot; address part of #63 |7516ae3| 
|  R/heatmaply.R | 9 +++++----
|  1 file changed, 5 insertions(+), 4 deletions(-)

* 2017-04-15(Alan O'Callaghan) Bugfix in plotly heatmap |62f1ec4| 
|  R/heatmaply.R | 52 ++++++++++++++++++++++++----------------------------
|  R/plots.R     |  2 ++
|  2 files changed, 26 insertions(+), 28 deletions(-)

* 2017-04-15(Tal Galili) Fix "Error: Vignette 'heatmaply.Rmd' is non-ASCII but has no declared encoding" |5d7ae81| 
|  R/plots.R               | 2 +-
|  R/zzz.R                 | 4 ++++
|  vignettes/heatmaply.Rmd | 2 +-
|  3 files changed, 6 insertions(+), 2 deletions(-)

* 2017-04-15(Tal Galili) Improved text and examples (added plot_method example, fixed a few typos and improved the text in several places in which it was out of date). |834541f| 
|  vignettes/heatmaply.Rmd | 35 ++++++++++++++++++++++++++++-------
|  1 file changed, 28 insertions(+), 7 deletions(-)

* 2017-04-14(Tal Galili) 0.9.1 - move some examples to "dontrun" |514170a| 
|  DESCRIPTION      | 2 +-
|  NEWS             | 4 +---
|  NEWS.md          | 4 +---
|  R/heatmaply.R    | 4 ++++
|  man/heatmaply.Rd | 4 ++++
|  5 files changed, 11 insertions(+), 7 deletions(-)

* 2017-04-14(Tal Galili) version 0.9.0 |a1a6330| 
|  NEWS.md | 68 ++++++++++++++++++++++++++++++++++++++++-----------------------
|  1 file changed, 43 insertions(+), 25 deletions(-)

* 2017-04-14(Tal Galili) update vignette |80c6a3e| 
|  vignettes/heatmaply.Rmd | 10 ++++++++++
|  1 file changed, 10 insertions(+)

* 2017-04-14(Tal Galili) Added heatmaply_na, heatmaply_cor - wrappers for heatmaply for exploring missing values patterns, and for correlation matrix. |dbfb91b| 
|  DESCRIPTION      |  2 +-
|  NAMESPACE        |  2 ++
|  NEWS             | 16 +++++++++-------
|  R/heatmaply.R    | 49 +++++++++++++++++++++++++++++++++++++++++++------
|  man/heatmaply.Rd | 23 +++++++++++++++++++----
|  5 files changed, 74 insertions(+), 18 deletions(-)

* 2017-04-14(Tal Galili) Fix: |fc5bea7| 
|  NAMESPACE | 1 +
|  R/zzz.R   | 2 +-
|  2 files changed, 2 insertions(+), 1 deletion(-)

* 2017-04-13(Alan O'Callaghan) Remove text layer hoverinfo |6b0d159| 
|  R/heatmaply.R | 1 +
|  1 file changed, 1 insertion(+)

* 2017-04-13(Alan O'Callaghan) Update news |5b05247| 
|  NEWS | 64 ++++++++++++++++++++++++++++++++++++++++------------------------
|  1 file changed, 40 insertions(+), 24 deletions(-)

* 2017-04-13(Alan O'Callaghan) Cellnote in native plotly, update docs |4d5a052| 
|  .gitignore                 |   1 +
|  DESCRIPTION                |   2 +-
|  R/heatmaply.R              |  37 ++++++++++++++--
|  R/plots.R                  |  26 -----------
|  man/RColorBrewer_colors.Rd |  23 +++++-----
|  man/col2plotlyrgb.Rd       |   1 -
|  man/heatmaply.Rd           | 101 ++++++++++++++++++++++---------------------
|  man/heatmapr.Rd            |   1 -
|  man/is.heatmapr.Rd         |   1 -
|  man/is.na10.Rd             |   1 -
|  man/is.plotly.Rd           |   1 -
|  man/normalize.Rd           |   3 +-
|  man/percentize.Rd          |   3 +-
|  man/side_color_plot.Rd     |   1 -
|  14 files changed, 100 insertions(+), 102 deletions(-)

* 2017-04-13(Tal Galili) 0.55 seems to work a tiny bit better (at least for mtcars). |616b1d0| 
|  R/heatmaply.R | 104 +++++++++++++++++++++++++++++---------------------------
|  1 file changed, 53 insertions(+), 51 deletions(-)

* 2017-04-13(Alanocallaghan) Update heatmaply.R |ab6a96c| 
|  R/heatmaply.R | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2017-04-13(Tal Galili) Update NEWS.md from NEWS |9a9ee05| 
|  DESCRIPTION |  2 +-
|  NEWS        |  4 ++--
|  NEWS.md     | 53 +++++++++++++++++++++++++++++++++++++++++++----------
|  3 files changed, 46 insertions(+), 13 deletions(-)

* 2017-04-13(Tal Galili) Much safer handaling of colors (fixed a requring warning message about using sort on NULL) |3482196| 
|  R/plots.R | 7 +++++--
|  1 file changed, 5 insertions(+), 2 deletions(-)

* 2017-04-13(Tal Galili) Fix #61 - Missing branch colors for k_row>1 and plot_method = "plotly" (default color should be black) |a22855d| 
|  R/plots.R        | 13 +++++++------
|  tests/testthat.R |  5 +++++
|  2 files changed, 12 insertions(+), 6 deletions(-)

* 2017-04-12(Alanocallaghan) Labels (#60) |ed911c4| 
|  DESCRIPTION                     |   2 +-
|  R/heatmaply.R                   | 173 +++++++++++++++++++++++++-------------
|  R/heatmapr.R                    |  12 +--
|  R/plots.R                       |   8 +-
|  man/RColorBrewer_colors.Rd      |  23 ++---
|  man/col2plotlyrgb.Rd            |   1 +
|  man/heatmaply.Rd                | 128 +++++++++++++++++++---------
|  man/heatmapr.Rd                 |   1 +
|  man/is.heatmapr.Rd              |   1 +
|  man/is.na10.Rd                  |   1 +
|  man/is.plotly.Rd                |   1 +
|  man/normalize.Rd                |   3 +-
|  man/percentize.Rd               |   3 +-
|  man/side_color_plot.Rd          |   3 +-
|  tests/testthat/test_heatmaply.R |   4 +
|  tests/testthat/test_heatmapr.R  |   8 +-
|  16 files changed, 244 insertions(+), 128 deletions(-)

* 2017-04-12(Alanocallaghan) Update plots.R |5229773| 
|  R/plots.R | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

*   2017-04-12(Tal Galili) Merge branch 'master' of github.com:talgalili/heatmaply |81b9a77
|\  
| * 2017-04-12(Alan O'Callaghan) Fix description |20dffb9| | 
| |  DESCRIPTION | 2 +-
| |  1 file changed, 1 insertion(+), 1 deletion(-)

| * 2017-04-12(Alan O'Callaghan) Fix #56, #55 |2ca0cbc| | 
| |  R/heatmaply.R |  7 +++++--
| |  R/plots.R     | 20 ++++++++++++++------
| |  2 files changed, 19 insertions(+), 8 deletions(-)

* | 2017-04-12(Tal Galili) Fix #7 - when limits is inside the range of the data, they will be stretched to the range, and a warning would be issued. |000f554
|/  |   
|    R/heatmaply.R | 16 +++++++++++-----
|    1 file changed, 11 insertions(+), 5 deletions(-)

* 2017-04-12(Tal Galili) Update date |2882450| 
|  DESCRIPTION | 2 +-
|  NEWS        | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2017-04-12(Tal Galili) IF k_row/k_col == 1, then no need to color the branches. |48228bd| 
|  R/heatmapr.R | 12 ++++++------
|  1 file changed, 6 insertions(+), 6 deletions(-)

* 2017-04-12(Alanocallaghan) Plotly k (#54) |bedd076| 
|  R/heatmaply.R          |  21 ++++++---
|  R/heatmapr.R           |  19 +++++---
|  R/plots.R              | 116 ++++++++++++++++++++++++++---------------------
|  man/heatmaply.Rd       |   4 +-
|  man/heatmapr.Rd        |   4 +-
|  man/side_color_plot.Rd |   2 +-
|  6 files changed, 96 insertions(+), 70 deletions(-)

* 2017-04-11(Tal Galili) Fix a rougue character in DESCRIPTION |1fc841e| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2017-04-11(Tal Galili) Fixing the error: "argument * matches multiple formal arguments" by adding an explicit "col" parameter to heatmaply. |46c17d1| 
|  DESCRIPTION      | 4 ++--
|  NEWS             | 3 ++-
|  R/heatmaply.R    | 9 +++++++--
|  man/heatmaply.Rd | 7 ++++---
|  4 files changed, 15 insertions(+), 8 deletions(-)

* 2017-04-11(Tal Galili) Make sure limits work when NA are present. |a299117| 
|  NEWS          | 1 +
|  R/heatmaply.R | 2 +-
|  2 files changed, 2 insertions(+), 1 deletion(-)

* 2017-04-11(Tal Galili) Stop the warning... |734cf91| 
|  R/heatmaply.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2017-04-11(Tal Galili) library(RColorBrewer) is needed for the example here. |bfa30b7| 
|  R/RColorBrewer.R           | 1 +
|  man/RColorBrewer_colors.Rd | 1 +
|  2 files changed, 2 insertions(+)

* 2017-04-11(Tal Galili) Fix typos |dd26a50| 
|  vignettes/heatmaply.Rmd | 10 +++++-----
|  1 file changed, 5 insertions(+), 5 deletions(-)

* 2017-04-11(Tal Galili) Another attempt at #53 |a328ae5| 
|  R/heatmaply.R | 4 ++--
|  R/plots.R     | 5 +++--
|  2 files changed, 5 insertions(+), 4 deletions(-)

* 2017-04-11(Tal Galili) A failed attempt at addressing #53 |8edcfc0| 
|  R/heatmaply.R | 18 +++++++++++++-----
|  1 file changed, 13 insertions(+), 5 deletions(-)

*   2017-04-10(Alan O'Callaghan) Merge branch 'master' of github.com:talgalili/heatmaply |2af6c3b
|\  
| * 2017-04-10(Tal Galili) Fix |c288b64| | 
| |  R/plots.R            | 3 ++-
| |  man/col2plotlyrgb.Rd | 3 ++-
| |  2 files changed, 4 insertions(+), 2 deletions(-)

| * 2017-04-10(Tal Galili) Examples of playing with font size |fb88267| | 
| |  R/heatmaply.R    | 3 +++
| |  man/heatmaply.Rd | 3 +++
| |  2 files changed, 6 insertions(+)

| *   2017-04-10(Tal Galili) Merge branch 'Alanocallaghan-master' |53ef092
| |\  
| | *   2016-10-28(Tal Galili) Fix merge conflicts |188cc70
| | |\  
| | * | 2016-10-28(Tal Galili) using grid_color prolongs build time - add warning. |e4849f3| | | | 
| | | |  R/heatmaply.R           | 1 +
| | | |  vignettes/heatmaply.Rmd | 6 +++---
| | | |  2 files changed, 4 insertions(+), 3 deletions(-)

| | * | 2016-10-28(Tal Galili) ggplot_heatmap - grid_color now works (thanks to a hack of using geom_hline and geom_vline instead of heom_tile(..., color). Fix issue #22 |9800fcd| | | | 
| | | |  DESCRIPTION      |  2 +-
| | | |  NEWS             |  3 ++-
| | | |  R/heatmaply.R    | 17 ++++++++++++++---
| | | |  man/heatmaply.Rd |  3 ++-
| | | |  4 files changed, 19 insertions(+), 6 deletions(-)

| * | |   2017-04-10(Tal Galili) Merge branch 'master' of github.com:talgalili/heatmaply |b8cec0b
| |\ \ \  
| * | | | 2017-04-10(Tal Galili) typo |94699ec| | | | | 
| | | | |  DESCRIPTION | 4 ++--
| | | | |  1 file changed, 2 insertions(+), 2 deletions(-)

| * | | | 2017-04-10(Tal Galili) Should fix |d39ed1e| | | | | 
| | | | |  NAMESPACE | 2 ++
| | | | |  R/zzz.R   | 2 ++
| | | | |  2 files changed, 4 insertions(+)

| * | | | 2017-04-10(Tal Galili) Mention improvements to vignette |e70beda| | | | | 
| | | | |  NEWS | 7 ++++---
| | | | |  1 file changed, 4 insertions(+), 3 deletions(-)

| * | | | 2017-04-10(Tal Galili) Should fix |a5bb877| | | | | 
| | | | |  R/plots.R              | 10 +++++++---
| | | | |  man/make_colorscale.Rd | 13 -------------
| | | | |  man/side_color_plot.Rd |  2 +-
| | | | |  3 files changed, 8 insertions(+), 17 deletions(-)

| * | | | 2017-04-10(Tal Galili) Fix |da489bc| | | | | 
| | | | |  NAMESPACE | 1 +
| | | | |  R/zzz.R   | 2 +-
| | | | |  2 files changed, 2 insertions(+), 1 deletion(-)

| * | | | 2017-04-10(Tal Galili) Should fix |e76ba38| | | | | 
| | | | |  .Rbuildignore | 1 +
| | | | |  .gitignore    | 1 +
| | | | |  2 files changed, 2 insertions(+)

| * | | | 2017-04-10(Tal Galili) I suspect we are no longer using GGally. |c455e3d| | | | | 
| | | | |  DESCRIPTION | 1 -
| | | | |  1 file changed, 1 deletion(-)

| * | | | 2017-04-10(Tal Galili) Fix Undocumented arguments in documentation object 'col2plotlyrgb'   ‘col’ |66e69ed| | | | | 
| | | | |  R/plots.R            | 25 ++++++++++++++++++++++---
| | | | |  R/zzz.R              |  2 +-
| | | | |  man/col2plotlyrgb.Rd | 19 ++++++++++++++++++-
| | | | |  3 files changed, 41 insertions(+), 5 deletions(-)

| * | | | 2017-04-10(Tal Galili) Consolidating @importFrom s |61ad23e| | | | | 
| | | | |  R/zzz.R | 19 ++++---------------
| | | | |  1 file changed, 4 insertions(+), 15 deletions(-)

| * | | | 2017-04-10(Tal Galili) Re-organizing the vignette |3cea088| | | | | 
| | | | |  vignettes/heatmaply.Rmd | 152 ++++++++++++++++++++++----------------
| | | | |  1 file changed, 87 insertions(+), 65 deletions(-)

| * | | | 2017-04-10(Tal Galili) Adding another grid_gap example |ec5f68d| | | | | 
| | | | |  R/heatmaply.R    | 7 ++++---
| | | | |  man/heatmaply.Rd | 6 +++++-
| | | | |  2 files changed, 9 insertions(+), 4 deletions(-)

* | | | | 2017-04-10(Alan O'Callaghan) Tweak legend positioning |ba9151e
| |/ / /  
|/| | |   | | | |   
| | | |    R/heatmaply.R | 2 +-
| | | |    R/plots.R     | 5 +++--
| | | |    2 files changed, 4 insertions(+), 3 deletions(-)

* | | | 2017-04-10(Alan O'Callaghan) Update docs for failing funs |441dd28| | | | 
| | | |  DESCRIPTION                |  6 +++---
| | | |  man/RColorBrewer_colors.Rd | 23 ++++++++++++-----------
| | | |  man/col2plotlyrgb.Rd       | 11 -----------
| | | |  man/heatmaply.Rd           |  1 +
| | | |  man/heatmapr.Rd            |  1 +
| | | |  man/is.heatmapr.Rd         |  1 +
| | | |  man/is.na10.Rd             |  1 +
| | | |  man/is.plotly.Rd           |  1 +
| | | |  man/make_colorscale.Rd     | 13 -------------
| | | |  man/normalize.Rd           |  3 ++-
| | | |  man/percentize.Rd          |  3 ++-
| | | |  man/side_color_plot.Rd     |  1 +
| | | |  12 files changed, 25 insertions(+), 40 deletions(-)

* | | | 2017-04-10(Alanocallaghan) Update plots.R |ded08ea
|/ / /  | | |   
| | |    R/plots.R | 6 +++---
| | |    1 file changed, 3 insertions(+), 3 deletions(-)

* | | 2017-04-10(Tal Galili) misc |d144b3c| | | 
| | |  man/make_colorscale.Rd | 4 ++--
| | |  1 file changed, 2 insertions(+), 2 deletions(-)

* | | 2017-04-10(Tal Galili) Added "grid_gap" argument to heatmaply. Default is 0, higher numbers influence the gap between cells, helping the user to identify distinct values/cells within the matrix. |0f9f73b| | | 
| | |  DESCRIPTION      |  2 +-
| | |  NEWS             |  4 +++-
| | |  R/heatmaply.R    | 17 +++++++++++++++++
| | |  R/is.na10.R      |  5 ++++-
| | |  man/heatmaply.Rd | 32 ++++++++++++++++++++------------
| | |  man/is.na10.Rd   |  5 ++++-
| | |  6 files changed, 49 insertions(+), 16 deletions(-)

* | | 2017-04-10(Tal Galili) Add defaults to plotly_heatmap |1ee2368| | | 
| | |  R/plots.R | 62 ++++++++++++++++++++++++++++++++-------------------------
| | |  1 file changed, 35 insertions(+), 27 deletions(-)

* | | 2017-04-10(Tal Galili) Added some docs |05953e7| | | 
| | |  man/col2plotlyrgb.Rd   | 11 +++++++++++
| | |  man/heatmaply.Rd       |  2 +-
| | |  man/make_colorscale.Rd | 13 +++++++++++++
| | |  3 files changed, 25 insertions(+), 1 deletion(-)

* | | 2017-04-10(Tal Galili) Added the is.plotly function |4f1a27d| | | 
| | |  NAMESPACE        |  1 +
| | |  NEWS             |  2 +-
| | |  R/heatmaply.R    | 80 +++++++++++++++++++++++++++++++-------------------
| | |  man/is.plotly.Rd | 17 +++++++++++
| | |  4 files changed, 69 insertions(+), 31 deletions(-)

* | | 2017-04-10(Tal Galili) Fix NEWS file. |890190d| | | 
| | |  NEWS | 30 +++++++++++++++++++++++++++++-
| | |  1 file changed, 29 insertions(+), 1 deletion(-)

* | | 2017-04-09(Alanocallaghan) Margins colorbar (#52) |b737175| | | 
| | |  NEWS.md          | 34 ++++++++++++++++++++++++++++++++++
| | |  R/heatmaply.R    | 43 ++++++++++++++++++++++++++++++++-----------
| | |  R/heatmapr.R     |  5 +----
| | |  R/plots.R        | 49 ++++++++++++++++++++++++++++++-------------------
| | |  man/heatmaply.Rd | 13 ++++++++-----
| | |  5 files changed, 105 insertions(+), 39 deletions(-)

* | | 2017-04-09(Tal Galili) Vignette - adding a section on data transformation. |a902e26| | | 
| | |  NEWS                    | 13 +++++----
| | |  vignettes/heatmaply.Rmd | 65 ++++++++++++++++++++++++++++++++-----------
| | |  2 files changed, 57 insertions(+), 21 deletions(-)

* | | 2017-04-09(Tal Galili) ross-ref percentize and normalize. |3f26be4| | | 
| | |  R/percentize.R    |  9 ++++++---
| | |  man/normalize.Rd  | 10 +++++++---
| | |  man/percentize.Rd |  3 +++
| | |  3 files changed, 16 insertions(+), 6 deletions(-)

* | | 2017-04-09(Tal Galili) merge NEWS for 0.8.3 with 0.9.0 |4081be2| | | 
| | |  NEWS | 13 ++++---------
| | |  1 file changed, 4 insertions(+), 9 deletions(-)

* | | 2017-04-09(Tal Galili) Minor typo corrections |1bc2ca8| | | 
| | |  DESCRIPTION | 6 +++---
| | |  1 file changed, 3 insertions(+), 3 deletions(-)

* | |   2017-04-09(Alanocallaghan) Merge pull request #43 from talgalili/tests_plotly |1956d0a
|\ \ \  
| * | | 2017-04-09(Alan O'Callaghan) Rename cex_row param |bf72432| | | | 
| | | |  R/plots.R | 16 ++++++++--------
| | | |  1 file changed, 8 insertions(+), 8 deletions(-)

| * | |   2017-04-09(Alan O'Callaghan) Merge branch 'tests_plotly' of github.com:talgalili/heatmaply into tests_plotly |58335e1
| |\ \ \  
| | * \ \   2017-04-09(Alanocallaghan) Merge branch 'master' into tests_plotly |a56d75d
| | |\ \ \  
| * | \ \ \   2017-04-09(Alan O'Callaghan) Merge with master |884c723
| |\ \ \ \ \  
| |/ / / / /  
|/| / / / /   
| |/ / / /    
* | | | | 2017-04-09(Tal Galili) Fix: Error: promise already under evaluation: recursive default argument reference or earlier problems? |db6f9d0
| |/ / /  
|/| | |   | | | |   
| | | |    R/heatmaply.R    | 14 +++++++-------
| | | |    man/heatmaply.Rd |  5 ++---
| | | |    2 files changed, 9 insertions(+), 10 deletions(-)

* | | | 2017-04-09(Tal Galili) Fix docs to match: |fefa0bc| | | | 
| | | |  man/heatmaply.Rd | 2 +-
| | | |  1 file changed, 1 insertion(+), 1 deletion(-)

* | | | 2017-04-09(Tal Galili) update NEWS |a81cb86| | | | 
| | | |  NEWS | 5 +++++
| | | |  1 file changed, 5 insertions(+)

| * | | 2017-04-09(Alan O'Callaghan) Fix dupe |7333fce| | | | 
| | | |  R/heatmaply.R | 2 --
| | | |  1 file changed, 2 deletions(-)

| * | |   2017-04-09(Alan O'Callaghan) Merge with master |c7ae73b
| |\ \ \  
| |/ / /  
|/| | |   
* | | | 2017-04-09(Alanocallaghan) Probable bugfix |4c2633c| | | | 
| | | |  R/heatmaply.R | 12 ++++++------
| | | |  1 file changed, 6 insertions(+), 6 deletions(-)

* | | |   2017-04-09(Alanocallaghan) Merge pull request #46 from talgalili/subplotheights |1624ec3
|\ \ \ \  
| * | | | 2017-04-09(Alan O'Callaghan) subplotheights param |07c5ccd
|/ / / /  | | | |   
| | | |    R/heatmaply.R    | 36 ++++++++++++++++++++++++++++--------
| | | |    man/heatmaply.Rd | 10 ++++++++--
| | | |    2 files changed, 36 insertions(+), 10 deletions(-)

* | | | 2017-04-08(Tal Galili) Add seriate to the doc of heatmaply |d2be551| | | | 
| | | |  DESCRIPTION      |  4 ++--
| | | |  NEWS             | 10 ++++++++++
| | | |  R/heatmaply.R    | 11 +++++++++++
| | | |  man/heatmaply.Rd | 11 +++++++++--
| | | |  4 files changed, 32 insertions(+), 4 deletions(-)

* | | | 2017-04-03(Tal Galili) Added codecov.io badge |f9da64f| | | | 
| | | |  .travis.yml | 4 ++--
| | | |  README.md   | 1 +
| | | |  2 files changed, 3 insertions(+), 2 deletions(-)

| * | | 2017-04-09(Alan O'Callaghan) Minor param name changes |b41b2bd| | | | 
| | | |  DESCRIPTION                |  2 +-
| | | |  R/heatmaply.R              | 21 ++++++++++++---------
| | | |  man/RColorBrewer_colors.Rd | 23 +++++++++++------------
| | | |  man/heatmaply.Rd           |  9 ++++-----
| | | |  man/heatmapr.Rd            |  1 -
| | | |  man/is.heatmapr.Rd         |  1 -
| | | |  man/is.na10.Rd             |  1 -
| | | |  man/normalize.Rd           |  3 +--
| | | |  man/percentize.Rd          |  3 +--
| | | |  man/side_color_plot.Rd     |  1 -
| | | |  10 files changed, 30 insertions(+), 35 deletions(-)

| * | | 2017-04-03(Alan O'Callaghan) Update docs |4129029| | | | 
| | | |  R/heatmaply.R           | 5 +++--
| | | |  man/heatmaply.Rd        | 7 +++++--
| | | |  vignettes/heatmaply.Rmd | 5 ++---
| | | |  vignettes/heatmaply.md  | 2 +-
| | | |  4 files changed, 11 insertions(+), 8 deletions(-)

| * | | 2017-04-03(Alan O'Callaghan) Add font size parameter |b381057| | | | 
| | | |  R/heatmaply.R | 18 +++++++++++++-----
| | | |  R/plots.R     | 18 +++++++++++-------
| | | |  2 files changed, 24 insertions(+), 12 deletions(-)

| * | | 2017-04-01(Alan O'Callaghan) Update docs |ccf496c| | | | 
| | | |  DESCRIPTION                     | 32 +++++++++++++++++---------------
| | | |  man/RColorBrewer_colors.Rd      | 23 ++++++++++++-----------
| | | |  man/ggheatmap.Rd                | 29 -----------------------------
| | | |  man/heatmaply.Rd                | 14 +++-----------
| | | |  man/heatmapr.Rd                 |  1 +
| | | |  man/is.heatmapr.Rd              |  1 +
| | | |  man/is.na10.Rd                  |  1 +
| | | |  man/normalize.Rd                |  3 ++-
| | | |  man/percentize.Rd               |  3 ++-
| | | |  man/side_color_plot.Rd          |  1 +
| | | |  tests/testthat/test_heatmaply.R |  4 +---
| | | |  11 files changed, 41 insertions(+), 71 deletions(-)

| * | |   2017-04-01(Alan O'Callaghan) Merge from master |5954c1d
| |\ \ \  
| |/ / /  
|/| | |   
* | | |   2017-03-31(Tal Galili) Merge branch 'master' of github.com:talgalili/heatmaply |041a81f
|\ \ \ \  
| * \ \ \   2017-03-29(Tal Galili) Merge pull request #40 from mschilli87/patch-1 |ab4f8f2
| |\ \ \ \  
| | * | | | 2017-03-29(Marcel Schilling) typo fix |c5a84cc
| |/ / / /  | | | | |   
| | | | |    vignettes/heatmaply.Rmd | 2 +-
| | | | |    1 file changed, 1 insertion(+), 1 deletion(-)

* | | | | 2017-03-31(Tal Galili) roxygen RoxygenNote: 6.0.1 |b6df9dd| | | | | 
| | | | |  man/RColorBrewer_colors.Rd | 23 +++++++++++------------
| | | | |  man/ggheatmap.Rd           |  1 -
| | | | |  man/heatmapr.Rd            |  1 -
| | | | |  man/is.heatmapr.Rd         |  1 -
| | | | |  man/is.na10.Rd             |  1 -
| | | | |  man/normalize.Rd           |  3 +--
| | | | |  man/percentize.Rd          |  3 +--
| | | | |  man/side_color_plot.Rd     |  1 -
| | | | |  8 files changed, 13 insertions(+), 21 deletions(-)

* | | | | 2017-03-31(Tal Galili) Added scale and na.rm parameters to the document of heatmaply. (thanks to issue #41) |0178dea
|/ / / /  | | | |   
| | | |    DESCRIPTION      |  4 ++--
| | | |    NEWS             |  8 ++++----
| | | |    R/heatmaply.R    | 11 +++++++++++
| | | |    man/heatmaply.Rd | 11 +++++++----
| | | |    4 files changed, 24 insertions(+), 10 deletions(-)

* | | | 2017-03-28(Tal Galili) Fix a mistake in an object's check in ggplot_heatmap. |770d75c| | | | 
| | | |  DESCRIPTION   |  2 +-
| | | |  NEWS          | 11 +++++++++++
| | | |  R/heatmaply.R |  2 +-
| | | |  3 files changed, 13 insertions(+), 2 deletions(-)

* | | | 2017-03-22(Tal Galili) Fix Alan's last name. |4249e85| | | | 
| | | |  DESCRIPTION | 2 +-
| | | |  1 file changed, 1 insertion(+), 1 deletion(-)

| * | | 2017-04-01(Alan O'Callaghan) Update docs |46ac6be| | | | 
| | | |  DESCRIPTION      | 1 -
| | | |  R/heatmaply.R    | 1 +
| | | |  man/heatmaply.Rd | 2 ++
| | | |  3 files changed, 3 insertions(+), 1 deletion(-)

| * | | 2017-04-01(Alan O'Callaghan) Update docs and default for cellnote |8d538f8| | | | 
| | | |  R/heatmapr.R           | 2 +-
| | | |  R/plots.R              | 1 +
| | | |  man/heatmapr.Rd        | 2 +-
| | | |  man/side_color_plot.Rd | 2 ++
| | | |  4 files changed, 5 insertions(+), 2 deletions(-)

| * | | 2017-04-01(Alan O'Callaghan) Update vignette |23926ad| | | | 
| | | |  vignettes/heatmaply.Rmd | 29 ++++++++++++++++-------------
| | | |  1 file changed, 16 insertions(+), 13 deletions(-)

| * | |   2017-04-01(Alan O'Callaghan) Merge branch 'tests_plotly' of github.com:talgalili/heatmaply into tests_plotly |da937d9
| |\ \ \  
| | * | | 2017-03-30(Alanocallaghan) Update heatmaply.Rmd |246a628| | | | | 
| | | | |  vignettes/heatmaply.Rmd | 26 ++++++++++++++------------
| | | | |  1 file changed, 14 insertions(+), 12 deletions(-)

| * | | | 2017-04-01(Alan O'Callaghan) Cellnote implementation |81aafe4| | | | | 
| | | | |  NAMESPACE                       |  3 +-
| | | | |  R/heatmaply.R                   | 27 +++++++----
| | | | |  R/heatmapr.R                    | 50 +++++++++------------
| | | | |  R/plots.R                       | 75 +++++++++++++++++++++----------
| | | | |  man/heatmaply.Rd                | 27 ++++++-----
| | | | |  man/heatmapr.Rd                 |  7 +--
| | | | |  man/side_color_plot.Rd          |  5 ++-
| | | | |  tests/testthat/test_heatmaply.R |  4 +-
| | | | |  8 files changed, 118 insertions(+), 80 deletions(-)

| * | | |   2017-04-01(Alan O'Callaghan) Merge dimnames branch |ca60e2f
| |\ \ \ \  
| | |/ / /  
| | * | | 2017-03-23(Alan O'Callaghan) Add test for percentize |3bcbe2a| | | | | 
| | | | |  R/percentize.R             |  5 +----
| | | | |  tests/testthat/test_misc.R | 15 +++++++++++++++
| | | | |  2 files changed, 16 insertions(+), 4 deletions(-)

| | * | | 2017-03-22(Alan O'Callaghan) Fix description |1d8fed5| | | | | 
| | | | |  DESCRIPTION | 1 -
| | | | |  1 file changed, 1 deletion(-)

| | * | | 2017-03-22(Alan O'Callaghan) Remove unused test files |5d156ea| | | | | 
| | | | |  tests/test_heatmap_subplot_from_ggplotly.R | 1 -
| | | | |  tests/test_heatmaply.R                     | 1 -
| | | | |  tests/test_heatmaply_heatmapr.R            | 1 -
| | | | |  tests/test_heatmapr.R                      | 1 -
| | | | |  tests/test_sidecolorplot.R                 | 4 ----
| | | | |  5 files changed, 8 deletions(-)

| | * | | 2017-03-22(Alan O'Callaghan) Fix errors |d4f204f| | | | | 
| | | | |  NAMESPACE                      |  1 -
| | | | |  man/ggplot_heatmap.Rd          | 34 --------------------------------
| | | | |  tests/test_heatmaply_default.R |  1 -
| | | | |  3 files changed, 36 deletions(-)

| | * | | 2017-03-22(Alan O'Callaghan) Explicit import |11245b2| | | | | 
| | | | |  R/plots.R | 4 ++--
| | | | |  1 file changed, 2 insertions(+), 2 deletions(-)

| | * | | 2017-03-22(Alan O'Callaghan) Remove guff |54b7221| | | | | 
| | | | |  R/plots.R | 88 -----------------------------------------------------
| | | | |  1 file changed, 88 deletions(-)

| | * | | 2017-03-22(Alan O'Callaghan) Remove class assignment |c8a679e| | | | | 
| | | | |  R/heatmaply.R | 1 -
| | | | |  1 file changed, 1 deletion(-)

| | * | | 2017-03-22(Alan O'Callaghan) Add text angle |557dfa8| | | | | 
| | | | |  R/heatmaply.R | 3 ++-
| | | | |  R/plots.R     | 2 ++
| | | | |  2 files changed, 4 insertions(+), 1 deletion(-)

| | * | | 2017-03-22(Alan O'Callaghan) Bugfix |905078b| | | | | 
| | | | |  R/plots.R | 6 +++---
| | | | |  1 file changed, 3 insertions(+), 3 deletions(-)

| | * | |   2017-03-22(Alan O'Callaghan) Merge with codecov |8e04d4c
| | |\ \ \  
| | | * | | 2016-11-23(Alan O'Callaghan) tests and add heatmaply class |9b89411| | | | | | 
| | | | | |  DESCRIPTION                                |  3 ++-
| | | | | |  R/heatmaply.R                              | 21 ++++++++++--------
| | | | | |  tests/test_heatmap_subplot_from_ggplotly.R |  1 +
| | | | | |  tests/test_heatmaply.R                     |  1 +
| | | | | |  tests/test_heatmaply_default.R             |  1 +
| | | | | |  tests/test_heatmaply_heatmapr.R            |  1 +
| | | | | |  tests/test_heatmapr.R                      |  1 +
| | | | | |  tests/test_sidecolorplot.R                 |  4 ++++
| | | | | |  tests/testthat.R                           |  4 ++++
| | | | | |  9 files changed, 27 insertions(+), 10 deletions(-)

| | * | | | 2017-03-22(Alan O'Callaghan) Move plots to file |2f39259| | | | | | 
| | | | | |  NAMESPACE                               |   2 +-
| | | | | |  R/ggheatmap.R                           |  85 -----
| | | | | |  R/heatmaply.R                           | 351 +-------------------
| | | | | |  R/plots.R                               | 331 ++++++++++++++++++
| | | | | |  man/{ggheatmap.Rd => ggplot_heatmap.Rd} |  16 +-
| | | | | |  man/side_color_plot.Rd                  |   2 +-
| | | | | |  6 files changed, 345 insertions(+), 442 deletions(-)

| | * | | | 2017-03-15(Alan O'Callaghan) Several bugfixes and functionality adds re: native plotly |d270494| | | | | | 
| | | | | |  R/heatmaply.R | 57 ++++++++++++++++++++++++++++++++++++++---------
| | | | | |  1 file changed, 46 insertions(+), 11 deletions(-)

| | * | | | 2017-03-08(Alan O'Callaghan) Begin to fix legend issue |2332b82| | | | | | 
| | | | | |  R/heatmaply.R | 59 +++++++++++++++++++----------------------------
| | | | | |  1 file changed, 24 insertions(+), 35 deletions(-)

| | * | | | 2017-02-26(Alan O'Callaghan) Update vignette |f786627| | | | | | 
| | | | | |  vignettes/.build.timestamp |   0
| | | | | |  vignettes/heatmaply.R      |  30 ++++++++++
| | | | | |  vignettes/heatmaply.md     | 106 +++++++++++++++++++++++++++++++++
| | | | | |  3 files changed, 136 insertions(+)

| | * | | | 2017-02-23(Alan O'Callaghan) Bugfix and fix tests |80798a8| | | | | | 
| | | | | |  R/heatmaply.R                   | 2 +-
| | | | | |  tests/testthat/test_heatmaply.R | 2 --
| | | | | |  tests/testthat/test_misc.R      | 4 ++--
| | | | | |  3 files changed, 3 insertions(+), 5 deletions(-)

| | * | | | 2017-02-22(Alan O'Callaghan) Stupid typo |e076560| | | | | | 
| | | | | |  tests/testthat/test_misc.R | 2 +-
| | | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

| | * | | | 2017-02-22(Alan O'Callaghan) Update docs |894f843| | | | | | 
| | | | | |  man/heatmaply.Rd | 14 ++++++--------
| | | | | |  man/heatmapr.Rd  | 14 +++++++-------
| | | | | |  2 files changed, 13 insertions(+), 15 deletions(-)

| | * | | | 2017-02-22(Alan O'Callaghan) Add import |98979ae| | | | | | 
| | | | | |  DESCRIPTION | 3 ++-
| | | | | |  1 file changed, 2 insertions(+), 1 deletion(-)

| | * | | | 2017-02-22(Alan O'Callaghan) Add matrix support |35a2fad| | | | | | 
| | | | | |  R/heatmaply.R | 2 ++
| | | | | |  1 file changed, 2 insertions(+)

| | * | | | 2017-02-22(Alan O'Callaghan) Add tests and change sidecolour interface |81227ee| | | | | | 
| | | | | |  .gitignore                      |   2 +
| | | | | |  .travis.yml                     |   4 +-
| | | | | |  DESCRIPTION                     |   7 +-
| | | | | |  NAMESPACE                       |   2 +
| | | | | |  R/heatmaply.R                   |  68 +++++-----
| | | | | |  R/heatmapr.R                    |  38 +++---
| | | | | |  R/percentize.R                  |   1 -
| | | | | |  README.md                       |  87 ++++++-------
| | | | | |  man/heatmaply.Rd                |  16 +--
| | | | | |  man/heatmapr.Rd                 |   4 +-
| | | | | |  tests/testthat.R                |   4 +
| | | | | |  tests/testthat/test_heatmaply.R | 186 ++++++++++++++++++++++++++++
| | | | | |  tests/testthat/test_heatmapr.R  |  20 +++
| | | | | |  tests/testthat/test_misc.R      |   6 +
| | | | | |  14 files changed, 333 insertions(+), 112 deletions(-)

| | * | | | 2017-02-22(Alan O'Callaghan) Test README |66ba678| | | | | | 
| | | | | |  README.md | 87 ++++++++++++++++++++++++++++-----------------------
| | | | | |  1 file changed, 48 insertions(+), 39 deletions(-)

| | * | | | 2017-02-18(Alan O'Callaghan) Fix minor CMD check warning |e5cf94e| | | | | | 
| | | | | |  R/heatmaply.R | 10 +++++-----
| | | | | |  1 file changed, 5 insertions(+), 5 deletions(-)

| | * | | | 2017-02-18(Alan O'Callaghan) Update docs |a1a71a5| | | | | | 
| | | | | |  NAMESPACE        | 2 ++
| | | | | |  man/heatmaply.Rd | 9 ++++++---
| | | | | |  2 files changed, 8 insertions(+), 3 deletions(-)

| | * | | | 2017-02-18(Alan O'Callaghan) Fix CMD check warnings |bd5d339| | | | | | 
| | | | | |  R/heatmaply.R | 7 ++++---
| | | | | |  1 file changed, 4 insertions(+), 3 deletions(-)

| | * | | | 2017-02-18(Alan O'Callaghan) Fix R CMD check fails |40a74c7| | | | | | 
| | | | | |  R/heatmaply.R | 11 +++++++----
| | | | | |  1 file changed, 7 insertions(+), 4 deletions(-)

| | * | | | 2017-02-18(Alan O'Callaghan) Fix potential bug |3d857ab| | | | | | 
| | | | | |  R/heatmaply.R | 5 +++--
| | | | | |  1 file changed, 3 insertions(+), 2 deletions(-)

| | * | | | 2017-02-18(Alan O'Callaghan) Fix minor error |0432318| | | | | | 
| | | | | |  R/heatmaply.R | 3 +--
| | | | | |  1 file changed, 1 insertion(+), 2 deletions(-)

| | * | | |   2017-02-18(Alan O'Callaghan) Pull talgalili master |904f0e3
| | |\ \ \ \  
| | * \ \ \ \   2017-02-18(Alan O'Callaghan) Pull latest version |d531eee
| | |\ \ \ \ \  
| | | * | | | | 2016-11-08(Alanocallaghan) Update DESCRIPTION |15b4c62| | | | | | | | 
| | | | | | | |  DESCRIPTION | 2 +-
| | | | | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

| | * | | | | | 2017-02-18(Alan O'Callaghan) Add funtionality to move axis |519408d| | | | | | | | 
| | | | | | | |  R/heatmaply.R | 77 +++++++++++++++++++++++++++++++++----------
| | | | | | | |  1 file changed, 59 insertions(+), 18 deletions(-)

| | * | | | | | 2017-02-18(Alan O'Callaghan) Add native plotly support |97a3bf1| | | | | | | | 
| | | | | | | |  R/heatmaply.R | 111 ++++++++++++++++++++++++++++++++----------
| | | | | | | |  R/heatmapr.R  |  14 +++---
| | | | | | | |  2 files changed, 92 insertions(+), 33 deletions(-)

| * | | | | | | 2017-04-01(Alan O'Callaghan) Update docs and namespace |2c27161| | | | | | | | 
| | | | | | | |  NAMESPACE              | 1 -
| | | | | | | |  man/heatmaply.Rd       | 5 +++--
| | | | | | | |  man/side_color_plot.Rd | 4 ++--
| | | | | | | |  3 files changed, 5 insertions(+), 5 deletions(-)

| * | | | | | | 2017-03-22(Alan O'Callaghan) Bugfix |83c3566| | | | | | | | 
| | | | | | | |  R/heatmaply.R | 6 +++---
| | | | | | | |  1 file changed, 3 insertions(+), 3 deletions(-)

| * | | | | | | 2017-03-22(Alan O'Callaghan) Add label names to side_color_plot and tidy up |398ab6f| | | | | | | | 
| | | | | | | |  R/heatmaply.R | 79 +++++++++++++++++++++++++++----------------
| | | | | | | |  1 file changed, 49 insertions(+), 30 deletions(-)

| * | | | | | | 2017-03-22(Alan O'Callaghan) Add long_data support |f281048| | | | | | | | 
| | | | | | | |  .gitignore       |  2 ++
| | | | | | | |  DESCRIPTION      |  3 ++-
| | | | | | | |  NAMESPACE        |  1 +
| | | | | | | |  R/heatmaply.R    | 31 ++++++++++++++++++++-----------
| | | | | | | |  man/heatmaply.Rd |  7 ++++++-
| | | | | | | |  5 files changed, 31 insertions(+), 13 deletions(-)

| * | | | | | | 2017-03-21(Alan O'Callaghan) Retain dimnames names for matrix input |4a7e4f4
|/ / / / / / /  | | | | | | |   
| | | | | | |    R/heatmaply.R | 29 +++++++++++++++++++++--------
| | | | | | |    1 file changed, 21 insertions(+), 8 deletions(-)

* | | | | | | 2017-03-20(Tal Galili) 0.8.2 fixes. |a101b58| | | | | | | 
| | | | | | |  NEWS | 4 +++-
| | | | | | |  1 file changed, 3 insertions(+), 1 deletion(-)

* | | | | | | 2017-03-20(Tal Galili) Fix: |db166a5| | | | | | | 
| | | | | | |  NAMESPACE | 1 +
| | | | | | |  R/zzz.R   | 2 +-
| | | | | | |  2 files changed, 2 insertions(+), 1 deletion(-)

* | | | | | | 2017-03-20(Tal Galili) Fix |f31b28f| | | | | | | 
| | | | | | |  DESCRIPTION | 6 +++---
| | | | | | |  1 file changed, 3 insertions(+), 3 deletions(-)

* | | | | | | 2017-03-20(Tal Galili) remove temp files. |52cf6c7| | | | | | | 
| | | | | | |  DESCRIPTION | 4 ++--
| | | | | | |  NEWS        | 7 +++++++
| | | | | | |  2 files changed, 9 insertions(+), 2 deletions(-)

* | | | | | | 2017-03-20(Tal Galili) Submit to CRAN |142f164| | | | | | | 
| | | | | | |  ChangeLog | 320 +++++++++++++++++++++++++++++++++++++++++++++---
| | | | | | |  NEWS.md   |  49 ++++++++
| | | | | | |  2 files changed, 351 insertions(+), 18 deletions(-)

* | | | | | | 2017-03-19(Tal Galili) Added Jonathan Sidi as a contributor to the package. |8e254ce| | | | | | | 
| | | | | | |  DESCRIPTION | 1 +
| | | | | | |  1 file changed, 1 insertion(+)

* | | | | | | 2017-03-19(Tal Galili) help "dendrogram" work again |639098f| | | | | | | 
| | | | | | |  R/heatmaply.R | 7 +++++--
| | | | | | |  1 file changed, 5 insertions(+), 2 deletions(-)

* | | | | | | 2017-03-19(Tal Galili) Correct use of config and modeBarButtonsToRemove |2963637| | | | | | | 
| | | | | | |  R/heatmaply.R | 8 +++++---
| | | | | | |  1 file changed, 5 insertions(+), 3 deletions(-)

* | | | | | | 2017-03-19(Tal Galili) clean the modeBarButtons from irrelevent icons |07b67bf| | | | | | | 
| | | | | | |  NEWS          |  1 +
| | | | | | |  R/heatmaply.R | 12 +++++++++++-
| | | | | | |  2 files changed, 12 insertions(+), 1 deletion(-)

* | | | | | | 2017-03-19(Tal Galili) Fix "RColorBrewer_colors.Rd: non-ASCII input and no declared encoding" (I hope) |772b592| | | | | | | 
| | | | | | |  R/RColorBrewer.R           | 2 +-
| | | | | | |  man/RColorBrewer_colors.Rd | 2 +-
| | | | | | |  2 files changed, 2 insertions(+), 2 deletions(-)

* | | | | | | 2017-03-19(Tal Galili) RColorBrewer_colors - added colors to be available for the heatmap.       The sequential palettes names are (less important since we have viridis):  Blues BuGn BuPu GnBu Greens Greys Oranges OrRd PuBu PuBuGn PuRd Purples RdPu Reds YlGn YlGnBu YlOrBr YlOrRd       The diverging palettes are: BrBG PiYG PRGn PuOr RdBu RdGy RdYlBu RdYlGn Spectral |d47cfb6| | | | | | | 
| | | | | | |  DESCRIPTION                |   7 +-
| | | | | | |  NAMESPACE                  |  27 ++++
| | | | | | |  NEWS                       |   6 +-
| | | | | | |  R/RColorBrewer.R           | 203 +++++++++++++++++++++++++++++++
| | | | | | |  man/RColorBrewer_colors.Rd | 119 ++++++++++++++++++
| | | | | | |  vignettes/heatmaply.Rmd    |  10 +-
| | | | | | |  6 files changed, 363 insertions(+), 9 deletions(-)

* | | | | | | 2017-03-19(Tal Galili) Added the parameters: distfun_row, hclustfun_row, distfun_col, hclustfun_col. They allow a more refine control over the dendrograms of the rows/columns (without the user needing to create the dendrograms from scratch) |e300694| | | | | | | 
| | | | | | |  NEWS             |  1 +
| | | | | | |  R/heatmaply.R    | 17 +++++++++++++++++
| | | | | | |  R/heatmapr.R     | 37 +++++++++++++++++++++++++++----------
| | | | | | |  man/heatmaply.Rd |  9 +++++++++
| | | | | | |  man/heatmapr.Rd  | 11 ++++++++++-
| | | | | | |  5 files changed, 64 insertions(+), 11 deletions(-)

* | | | | | | 2017-03-18(Tal Galili) Added the parameters hclust_method, dist_method to allow a more refined control over dist and hclust functions which are creating the dendrograms. A user wanting an even more refined control should just supply dendrograms directly to Rowv and Colv. |3be8df4
| |_|/ / / /  
|/| | | | |   | | | | | |   
| | | | | |    DESCRIPTION      | 12 ++++++------
| | | | | |    NEWS             |  3 ++-
| | | | | |    R/heatmaply.R    | 12 ++++++++++++
| | | | | |    R/heatmapr.R     | 25 +++++++++++++++++++++++++
| | | | | |    man/heatmaply.Rd | 15 ++++++++++++---
| | | | | |    man/heatmapr.Rd  | 15 ++++++++++++---
| | | | | |    6 files changed, 69 insertions(+), 13 deletions(-)

* | | | | | 2017-02-15(Tal Galili) Simplfy heatmaply document in order to avoid future warning messages. |c5870cc| | | | | | 
| | | | | |  R/heatmaply.R    | 50 +-------------------------------------------
| | | | | |  man/heatmaply.Rd | 20 +++---------------
| | | | | |  2 files changed, 4 insertions(+), 66 deletions(-)

* | | | | | 2017-02-15(Tal Galili) *Cluster* heat maps. |9b11e55| | | | | | 
| | | | | |  DESCRIPTION | 2 +-
| | | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

* | | | | | 2017-02-15(Tal Galili) Minor improvement to the example |f9e5eae| | | | | | 
| | | | | |  vignettes/heatmaply.Rmd | 4 ++--
| | | | | |  1 file changed, 2 insertions(+), 2 deletions(-)

* | | | | | 2017-02-15(Tal Galili) Fix heatmaply.heatmapr to work again with Rowv (fix a bug that was introduced in the previous 3 commits) |0d383f9| | | | | | 
| | | | | |  R/heatmaply.R | 28 ++++++++++++++--------------
| | | | | |  1 file changed, 14 insertions(+), 14 deletions(-)

* | | | | | 2017-02-15(Tal Galili) Add examples to heatmaply's Rd and the vignette on using Rowv/Colv. |6c09b7f| | | | | | 
| | | | | |  DESCRIPTION             |  2 +-
| | | | | |  NEWS                    |  3 ++-
| | | | | |  R/heatmaply.R           | 18 ++++++++++++++++++
| | | | | |  man/heatmaply.Rd        | 18 ++++++++++++++++++
| | | | | |  vignettes/heatmaply.Rmd | 29 +++++++++++++++++++++++++++++
| | | | | |  5 files changed, 68 insertions(+), 2 deletions(-)

* | | | | | 2017-02-15(Tal Galili) Add dendrogram control parameters to heatmaply's .Rd docs. This solve #34. |e669700| | | | | | 
| | | | | |  R/heatmaply.R    | 74 +++++++++++++++++++++++++++++++++++++++-----
| | | | | |  man/heatmaply.Rd | 60 +++++++++++++++++++++++++++++++++--
| | | | | |  2 files changed, 124 insertions(+), 10 deletions(-)

* | | | | | 2017-02-15(Tal Galili) Allow Rowv/Colv to also work for hclust (by turning them into a dendrogram). |ae6dea1| | | | | | 
| | | | | |  NAMESPACE       | 1 +
| | | | | |  NEWS            | 3 +++
| | | | | |  R/heatmapr.R    | 8 +++++++-
| | | | | |  R/zzz.R         | 2 +-
| | | | | |  man/heatmapr.Rd | 2 +-
| | | | | |  5 files changed, 13 insertions(+), 3 deletions(-)

* | | | | | 2017-02-08(Tal Galili) Once plotly will support axis which are positioned on the right, this should make it also work in heatmaply. |ab4d527| | | | | | 
| | | | | |  DESCRIPTION   |  2 +-
| | | | | |  R/heatmaply.R | 14 ++++++++++----
| | | | | |  2 files changed, 11 insertions(+), 5 deletions(-)

* | | | | | 2017-02-01(Tal Galili) Vignette - The inclusion of xlab/ylab/main texts. |b599554| | | | | | 
| | | | | |  vignettes/heatmaply.Rmd | 6 ++++--
| | | | | |  1 file changed, 4 insertions(+), 2 deletions(-)

* | | | | | 2017-01-22(Tal Galili) file parameter - allows to save a heatmaply plot as an HTML file. |0f12bff| | | | | | 
| | | | | |  DESCRIPTION      |  6 +++---
| | | | | |  NAMESPACE        |  1 +
| | | | | |  NEWS             |  6 +++++-
| | | | | |  R/heatmaply.R    | 27 ++++++++++++++++++++++-----
| | | | | |  R/zzz.R          |  3 +++
| | | | | |  man/heatmaply.Rd | 16 +++++++++++++---
| | | | | |  6 files changed, 47 insertions(+), 12 deletions(-)

* | | | | | 2017-01-22(Tal Galili) Found the problem - is.vector(factor) == FALSE |5fb21fa| | | | | | 
| | | | | |  R/heatmaply.R           | 7 -------
| | | | | |  R/heatmapr.R            | 4 ++--
| | | | | |  vignettes/heatmaply.Rmd | 5 +++++
| | | | | |  3 files changed, 7 insertions(+), 9 deletions(-)

* | | | | | 2017-01-22(Tal Galili) Fix "col_side_colors and x have different numbers of columns"? |f9d15df| | | | | | 
| | | | | |  R/heatmaply.R | 2 +-
| | | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

* | | | | | 2017-01-22(Tal Galili) make row_side_colors/col_side_colors work for vectors as well (by turning them to a data.frame). Fixes:  Error in if (dim(row_side_colors)[1] != dim(x)[1]) stop("row_side_colors and x have different numbers of rows") : argument is of length zero |34e1105| | | | | | 
| | | | | |  DESCRIPTION   |  4 ++--
| | | | | |  NEWS          |  8 ++++++++
| | | | | |  R/heatmaply.R | 10 ++++++++++
| | | | | |  3 files changed, 20 insertions(+), 2 deletions(-)

* | | | | | 2017-01-21(Tal Galili) heatmaply 0.7.0 depends on dendextend 1.4.0 |79df26b| | | | | | 
| | | | | |  DESCRIPTION | 2 +-
| | | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

* | | | | | 2017-01-21(Tal Galili) If the "lwd" is already defined in Rowv/Colv then this parameter is ignored (it is checked using \link[dendextend]{has_edgePar}("lwd")). |b4b19f3| | | | | | 
| | | | | |  DESCRIPTION      | 2 +-
| | | | | |  NEWS             | 2 +-
| | | | | |  R/heatmaply.R    | 7 ++++---
| | | | | |  man/heatmaply.Rd | 3 ++-
| | | | | |  4 files changed, 8 insertions(+), 6 deletions(-)

* | | | | | 2017-01-20(Tal Galili) * main - a new parameter for setting the title of the plot. * the margins parameter now accepts 4 elements (previously it was only 2), for bottom, left, top (relevant for the plot's title) and right margins. |1a3f5a3| | | | | | 
| | | | | |  NEWS             |  2 ++
| | | | | |  R/heatmaply.R    | 25 ++++++++++++++++++-------
| | | | | |  man/heatmaply.Rd | 17 +++++++++++------
| | | | | |  3 files changed, 31 insertions(+), 13 deletions(-)

* | | | | | 2017-01-20(Tal Galili) Allow k_row and k_col to accept NA. This will pick the number of clusters using dendextend::find_k |a7baf3e| | | | | | 
| | | | | |  NAMESPACE       | 1 +
| | | | | |  NEWS            | 2 ++
| | | | | |  R/heatmapr.R    | 4 ++++
| | | | | |  R/zzz.R         | 2 +-
| | | | | |  man/heatmapr.Rd | 6 ++++--
| | | | | |  5 files changed, 12 insertions(+), 3 deletions(-)

* | | | | | 2017-01-20(Tal Galili) is.na10 - added description, and also return integer instead of numeric. |6795d1f| | | | | | 
| | | | | |  R/is.na10.R    | 6 +++++-
| | | | | |  man/is.na10.Rd | 5 +++++
| | | | | |  2 files changed, 10 insertions(+), 1 deletion(-)

* | | | | | 2017-01-20(Tal Galili) Fix no visible global function definition for ‘na.omit’ / ‘ecdf’ |5f0d2b4| | | | | | 
| | | | | |  NAMESPACE | 2 ++
| | | | | |  R/zzz.R   | 4 ++--
| | | | | |  2 files changed, 4 insertions(+), 2 deletions(-)

* | | | | | 2017-01-20(Tal Galili) update to is.na10 |d148cd4| | | | | | 
| | | | | |  vignettes/heatmaply.Rmd | 14 ++++++--------
| | | | | |  1 file changed, 6 insertions(+), 8 deletions(-)

* | | | | | 2017-01-20(Tal Galili) Check that x is either a data.frame or a matrix. |8e93476| | | | | | 
| | | | | |  R/heatmaply.R | 3 +++
| | | | | |  1 file changed, 3 insertions(+)

* | | | | | 2017-01-20(Tal Galili) is.na10 - Indicates which elements are missing (either 1 and 0). Helpful for NA heatmaps. |6cab004| | | | | | 
| | | | | |  DESCRIPTION    |  2 +-
| | | | | |  NAMESPACE      |  1 +
| | | | | |  NEWS           |  3 ++-
| | | | | |  R/is.na10.R    | 50 ++++++++++++++++++++++++++++++++++++++++++++++
| | | | | |  man/is.na10.Rd | 39 ++++++++++++++++++++++++++++++++++++
| | | | | |  5 files changed, 93 insertions(+), 2 deletions(-)

* | | | | | 2017-01-19(Tal Galili) percentalize  -> percentize |54819b4| | | | | | 
| | | | | |  NAMESPACE                              |  8 ++---
| | | | | |  NEWS                                   |  2 +-
| | | | | |  R/percentize.R                         | 40 +++++++++++-----------
| | | | | |  man/normalize.Rd                       | 10 +++---
| | | | | |  man/{percentalize.Rd => percentize.Rd} | 22 ++++++------
| | | | | |  5 files changed, 41 insertions(+), 41 deletions(-)

* | | | | | 2017-01-19(Tal Galili) percentalize -> percentize |fa44979| | | | | | 
| | | | | |  R/{percentalize.R => percentize.R} | 0
| | | | | |  1 file changed, 0 insertions(+), 0 deletions(-)

* | | | | | 2017-01-19(Tal Galili) rename ept.R to percentalize.R |6786889| | | | | | 
| | | | | |  R/{ept.R => percentalize.R} | 0
| | | | | |  1 file changed, 0 insertions(+), 0 deletions(-)

* | | | | | 2017-01-19(Tal Galili) normalize - a pre-processing function for adjusing the range of the variables to be from 0 to 1. |398ae80| | | | | | 
| | | | | |  NAMESPACE        |  4 +++
| | | | | |  NEWS             |  2 ++
| | | | | |  R/ept.R          | 82 ++++++++++++++++++++++++++++++++++++++++++++
| | | | | |  man/normalize.Rd | 42 +++++++++++++++++++++++
| | | | | |  4 files changed, 130 insertions(+)

* | | | | | 2017-01-19(Tal Galili) rename ept to percentalize |87d93c5| | | | | | 
| | | | | |  NAMESPACE                       |  8 +++----
| | | | | |  NEWS                            |  2 +-
| | | | | |  R/ept.R                         | 35 ++++++++++++++++-------------
| | | | | |  man/{ept.Rd => percentalize.Rd} | 22 +++++++++++-------
| | | | | |  4 files changed, 38 insertions(+), 29 deletions(-)

* | | | | | 2017-01-18(Tal Galili) Correct handeling of NA in ept.data.frame (i.e.: ept_predict) |2cc6ec5| | | | | | 
| | | | | |  R/ept.R | 16 ++++++++++++----
| | | | | |  1 file changed, 12 insertions(+), 4 deletions(-)

* | | | | | 2017-01-18(Tal Galili) Added S3 ept.matrix |11ac438| | | | | | 
| | | | | |  NAMESPACE  | 1 +
| | | | | |  R/ept.R    | 9 ++++++++-
| | | | | |  man/ept.Rd | 1 +
| | | | | |  3 files changed, 10 insertions(+), 1 deletion(-)

* | | | | | 2017-01-18(Tal Galili) Add the function ept - a pre-processing function for performing the Empirical Percentile Transformation on a vector or data.frame. |0843e5e| | | | | | 
| | | | | |  NAMESPACE  |  3 ++
| | | | | |  NEWS       |  2 ++
| | | | | |  R/ept.R    | 91 ++++++++++++++++++++++++++++++++++++++++++++++++++
| | | | | |  man/ept.Rd | 37 ++++++++++++++++++++
| | | | | |  4 files changed, 133 insertions(+)

* | | | | | 2017-01-18(Tal Galili) Non numeric columns are now added to `row_side_colors`, making heatmaply reasonably robust to heterogeneous data.frames. |2f21251| | | | | | 
| | | | | |  DESCRIPTION   |  4 ++--
| | | | | |  NEWS          | 10 ++++++++++
| | | | | |  R/heatmaply.R | 25 +++++++++++++++++++++++++
| | | | | |  3 files changed, 37 insertions(+), 2 deletions(-)

* | | | | | 2016-12-25(Tal Galili) ignore TODO.txt |a62a622| | | | | | 
| | | | | |  .Rbuildignore | 1 +
| | | | | |  .gitignore    | 1 +
| | | | | |  2 files changed, 2 insertions(+)

* | | | | | 2016-12-25(Tal Galili) branches_lwd - If NULL then it is ignored. |a7dbbc6| | | | | | 
| | | | | |  R/heatmaply.R    | 3 ++-
| | | | | |  man/heatmaply.Rd | 3 ++-
| | | | | |  2 files changed, 4 insertions(+), 2 deletions(-)

* | | | | | 2016-11-12(Tal Galili) Update date |d1e0952| | | | | | 
| | | | | |  DESCRIPTION | 2 +-
| | | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

* | | | | | 2016-11-11(Tal Galili) Import hide_colorbar from plotly. Close issue #30 |b90b2ab| | | | | | 
| | | | | |  NAMESPACE | 1 +
| | | | | |  NEWS      | 2 +-
| | | | | |  R/zzz.R   | 2 +-
| | | | | |  3 files changed, 3 insertions(+), 2 deletions(-)

* | | | | |   2016-11-08(Tal Galili) Merge pull request #29 from Alanocallaghan/master |60e7d02
|\ \ \ \ \ \  
| | |/ / / /  
| |/| | | |   
| * | | | | 2016-11-08(Alan O'Callaghan) Revert "Fix col_side_colors tooltip bug (temporary)" |7bff61a| | | | | | 
| | | | | |  R/heatmaply.R | 21 ++++++---------------
| | | | | |  1 file changed, 6 insertions(+), 15 deletions(-)

| * | | | |   2016-11-08(Alan O'Callaghan) Merge https://github.com/talgalili/heatmaply |0c1c8f2
| |\ \ \ \ \  
| |/ / / / /  
|/| | | | |   
* | | | | | 2016-11-08(Tal Galili) Allow dendrogram parameter to work again. Fix issue #28 |ce1c278| | | | | | 
| | | | | |  DESCRIPTION   | 4 ++--
| | | | | |  NEWS          | 7 +++++++
| | | | | |  R/heatmaply.R | 4 ++--
| | | | | |  3 files changed, 11 insertions(+), 4 deletions(-)

* | | | | | 2016-11-08(Tal Galili) Add dendextend functions to NAMESPACE |b736301| | | | | | 
| | | | | |  NAMESPACE    |  5 +++++
| | | | | |  R/heatmapr.R | 12 ++++++------
| | | | | |  R/zzz.R      |  2 ++
| | | | | |  3 files changed, 13 insertions(+), 6 deletions(-)

* | | | | | 2016-11-05(Tal Galili) update log files |62d3dd7| | | | | | 
| | | | | |  ChangeLog | 177 ++++++++++++++++++++++++++++++++++++++++++++++++++
| | | | | |  NEWS.md   |  14 ++++
| | | | | |  2 files changed, 191 insertions(+)

* | | | | | 2016-11-05(Tal Galili) Fix "CRAN URL not in canonical form" |d5e662b| | | | | | 
| | | | | |  README.md               | 2 +-
| | | | | |  vignettes/heatmaply.Rmd | 2 +-
| | | | | |  2 files changed, 2 insertions(+), 2 deletions(-)

* | | | | | 2016-11-05(Tal Galili) Fix "Possibly mis-spelled words in DESCRIPTION:" |4b8fdce| | | | | | 
| | | | | |  DESCRIPTION | 14 +++++++-------
| | | | | |  1 file changed, 7 insertions(+), 7 deletions(-)

* | | | | | 2016-11-05(Tal Galili) added branches_lwd - to control the width of the dendrograms' width. Fix issue #24 |de93225| | | | | | 
| | | | | |  NEWS             | 11 ++++++++---
| | | | | |  R/heatmaply.R    | 35 +++++++++++++++++++++++++++--------
| | | | | |  man/heatmaply.Rd | 10 ++++++----
| | | | | |  3 files changed, 41 insertions(+), 15 deletions(-)

* | | | | | 2016-11-05(Tal Galili) update date |5cf114f| | | | | | 
| | | | | |  DESCRIPTION | 2 +-
| | | | | |  NEWS        | 4 ++--
| | | | | |  2 files changed, 3 insertions(+), 3 deletions(-)

* | | | | | 2016-11-05(Tal Galili) Add examples for using row_side_colors  and col_side_colors |376cd70| | | | | | 
| | | | | |  vignettes/heatmaply.Rmd | 43 ++++++++++++++++++++++++++++++++++++-
| | | | | |  1 file changed, 42 insertions(+), 1 deletion(-)

* | | | | | 2016-11-05(Tal Galili) Add a warning when using col_side_colors |fb3568f| | | | | | 
| | | | | |  R/heatmaply.R | 3 +++
| | | | | |  1 file changed, 3 insertions(+)

| * | | | | 2016-11-08(Alanocallaghan) Fix column dendrogram bug |11b18d5
| | |/ / /  
| |/| | |   | | | | |   
| | | | |    R/heatmaply.R | 10 +++++++---
| | | | |    1 file changed, 7 insertions(+), 3 deletions(-)

| * | | | 2016-11-04(Alan O'Callaghan) Fix col_side_colors tooltip bug (temporary) |52651d6
|/ / / /  | | | |   
| | | |    R/heatmaply.R | 21 +++++++++++++++------
| | | |    1 file changed, 15 insertions(+), 6 deletions(-)

* | | | 2016-11-03(Tal Galili) Example for using row_side_colors |898528e| | | | 
| | | |  R/heatmaply.R    | 10 +++++++++-
| | | |  man/heatmaply.Rd | 10 +++++++++-
| | | |  2 files changed, 18 insertions(+), 2 deletions(-)

* | | | 2016-11-03(Tal Galili) Added Alanocallaghan as a contributor :) |fc54e3a| | | | 
| | | |  DESCRIPTION | 4 +++-
| | | |  1 file changed, 3 insertions(+), 1 deletion(-)

* | | | 2016-11-03(Tal Galili) `RowSideColors` also works in heatmaply |0afa871| | | | 
| | | |  DESCRIPTION      |  2 +-
| | | |  NEWS             |  4 ++--
| | | |  R/heatmaply.R    | 22 ++++++++++++++++++----
| | | |  man/heatmaply.Rd | 14 ++++++++++++++
| | | |  4 files changed, 35 insertions(+), 7 deletions(-)

* | | |   2016-11-03(Tal Galili) Merge pull request #26 from Alanocallaghan/master |6746c0e
|\ \ \ \  
| * | | | 2016-11-03(Alan O'Callaghan) Fix s3 error |3f19372| | | | | 
| | | | |  R/heatmaply.R | 2 ++
| | | | |  1 file changed, 2 insertions(+)

| * | | | 2016-11-03(Alan O'Callaghan) Update docs |8846381| | | | | 
| | | | |  DESCRIPTION            | 2 +-
| | | | |  man/heatmaply.Rd       | 6 ++++--
| | | | |  man/side_color_plot.Rd | 7 +++++--
| | | | |  3 files changed, 10 insertions(+), 5 deletions(-)

| * | | | 2016-11-03(Alan O'Callaghan) bugfix heatmapr |eea1570| | | | | 
| | | | |  R/heatmapr.R | 2 +-
| | | | |  1 file changed, 1 insertion(+), 1 deletion(-)

| * | | | 2016-10-31(Alan O'Callaghan) Add Col/RowSide and suppress messages/devices |896fdd4
|/ / / /  | | | |   
| | | |    R/heatmaply.R | 104 +++++++++++++++++++++++++++++++++++-------------
| | | |    R/heatmapr.R  |  19 ++++++++-
| | | |    2 files changed, 93 insertions(+), 30 deletions(-)

* | | | 2016-10-29(Tal Galili) Fix Undocumented arguments in documentation object 'side_color_plot' ‘row_text_angle’ ‘column_text_angle’ |e48ffb5| | | | 
| | | |  R/heatmaply.R          | 1 +
| | | |  man/side_color_plot.Rd | 2 ++
| | | |  2 files changed, 3 insertions(+)

* | | | 2016-10-29(Tal Galili) limit grod_color example for a small matrx |73d1488| | | | 
| | | |  vignettes/heatmaply.Rmd | 4 ++--
| | | |  1 file changed, 2 insertions(+), 2 deletions(-)

* | | | 2016-10-29(Tal Galili) Update grid_color doc |cfa997a| | | | 
| | | |  R/heatmaply.R    | 3 ++-
| | | |  man/heatmaply.Rd | 3 ++-
| | | |  2 files changed, 4 insertions(+), 2 deletions(-)

* | | | 2016-10-29(Tal Galili) heatmaply - grid_color now works (thanks to a hack of using geom_hline and geom_vline instead of heom_tile(..., color) in ggplot_heatmap ) |26a58c2| | | | 
| | | |  DESCRIPTION   | 2 +-
| | | |  NEWS          | 4 +++-
| | | |  R/heatmaply.R | 9 +++++++++
| | | |  3 files changed, 13 insertions(+), 2 deletions(-)

* | | | 2016-10-29(Tal Galili) Fix - Error in heatmaply.heatmapr(hm) :   argument "row_side_colors" is missing, with no default |a240863| | | | 
| | | |  R/heatmaply.R | 4 ++--
| | | |  1 file changed, 2 insertions(+), 2 deletions(-)

* | | | 2016-10-29(Tal Galili) Fix: Error in ggplot_heatmap(data_mat, row_text_angle, column_text_angle, scale_fill_gradient_fun,  :   object 'heatmap_layers' not found |5eeeaf3| | | | 
| | | |  R/heatmaply.R | 2 +-
| | | |  1 file changed, 1 insertion(+), 1 deletion(-)

* | | | 2016-10-29(Tal Galili) making the order of the matrix rows comparable with heatmap.2 |df58752| | | | 
| | | |  DESCRIPTION             |  2 +-
| | | |  R/heatmapr.R            | 20 +++++++++++++-------
| | | |  man/heatmapr.Rd         |  6 +++---
| | | |  vignettes/heatmaply.Rmd | 15 +++++++++++++++
| | | |  4 files changed, 32 insertions(+), 11 deletions(-)

* | | | 2016-10-29(Tal Galili) ColSideColors,RowSideColors passed to row_side_colors,col_side_colors in order to keep compatibility with \link[gplots]{heatmap.2} |d8a4623| | | | 
| | | |  R/heatmaply.R    | 15 +++++++++++++++
| | | |  man/heatmaply.Rd |  6 +++++-
| | | |  2 files changed, 20 insertions(+), 1 deletion(-)

* | | | 2016-10-29(Tal Galili) use colorspace::rainbow_hcl instead of rainbow for row_side_colors |6483997| | | | 
| | | |  DESCRIPTION   | 1 +
| | | |  R/heatmaply.R | 2 +-
| | | |  2 files changed, 2 insertions(+), 1 deletion(-)

* | | | 2016-10-29(Tal Galili) Use margins instead of layout(margin = list(l = 130, b = 40)) |239046d| | | | 
| | | |  vignettes/heatmaply.Rmd | 34 +++++++++++++++++++---------------
| | | |  1 file changed, 19 insertions(+), 15 deletions(-)

* | | |   2016-10-29(Tal Galili) Merge pull request #25 from Alanocallaghan/master |58f9061
|\ \ \ \  
| * | | | 2016-10-29(Alan O'Callaghan) Fix breaking bugs after merge with talgalili |b96683d
|/ / / /  | | | |   
| | | |    R/heatmaply.R | 6 ++++--
| | | |    R/heatmapr.R  | 4 ++--
| | | |    2 files changed, 6 insertions(+), 4 deletions(-)

* | | | 2016-10-28(Tal Galili) updated heatmapr.Rd about row_side_colors |8dc5407| | | | 
| | | |  man/heatmapr.Rd | 9 +++++++--
| | | |  1 file changed, 7 insertions(+), 2 deletions(-)

* | | | 2016-10-28(Tal Galili) Added .Rd doc and NAMESPACE for side_color_plot |d6b15d1| | | | 
| | | |  NAMESPACE              |  1 +
| | | |  man/side_color_plot.Rd | 26 ++++++++++++++++++++++++++
| | | |  2 files changed, 27 insertions(+)

* | | | 2016-10-28(Tal Galili) hatmap_layers to heatmap_layers + updaetd Rd |ad13091| | | | 
| | | |  R/heatmaply.R    | 46 +++++++++++++++++++++++-----------------------
| | | |  man/heatmaply.Rd | 20 ++++++++++++++++----
| | | |  2 files changed, 39 insertions(+), 27 deletions(-)

* | | |   2016-10-28(Tal Galili) Merge pull request #23 from Alanocallaghan/master |7f8ccae
|\ \ \ \  
| |_|/ /  
|/| | /   
| | |/    
| |/|     
| * | 2016-10-28(Alan O'Callaghan) Document added params |135cee2
| |/  | |   
| |    R/heatmaply.R | 12 ++++++++++++
| |    R/heatmapr.R  |  5 +++++
| |    2 files changed, 17 insertions(+)

| * 2016-10-25(Alan O'Callaghan) Fix col_side_color issue and add checks |5a51e39| | 
| |  R/heatmaply.R | 31 +++++++++++++++++--------------
| |  1 file changed, 17 insertions(+), 14 deletions(-)

| * 2016-10-25(Alan O'Callaghan) Fix ordering bug. Simplify subplot code. Still broken |6c53455| | 
| |  R/heatmaply.R | 269 ++++++++++++++++++++----------------------------------
| |  R/heatmapr.R  |  16 +++-
| |  2 files changed, 111 insertions(+), 174 deletions(-)

| * 2016-10-23(Alan O'Callaghan) Remove unneccessary param from side_colour_plot |26d1bc4| | 
| |  R/heatmaply.R | 29 ++++++++---------------------
| |  1 file changed, 8 insertions(+), 21 deletions(-)

| * 2016-10-23(Alan O'Callaghan) Add row_side_colours and col_side_colours |1d882d1
|/  |   
|    R/heatmaply.R | 390 +++++++++++++++++++++++++++++++++++-------------------
|    1 file changed, 256 insertions(+), 134 deletions(-)

* 2016-10-19(Tal Galili) heatmaply - added a proper `margins` parameter. |577b5bf| 
|  DESCRIPTION      |  6 +++---
|  NEWS             |  7 +++++++
|  R/heatmaply.R    | 55 ++++++++++++++++++++++++++++++------------------------
|  man/heatmaply.Rd | 22 +++++++++++++---------
|  4 files changed, 54 insertions(+), 36 deletions(-)

* 2016-08-29(Tal Galili) packages that are good to have. |880a1c9| 
|  README.md | 7 +++++++
|  1 file changed, 7 insertions(+)

* 2016-08-27(Tal Galili) update |07f5790| 
|  ChangeLog | 143 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 143 insertions(+)

* 2016-08-27(Tal Galili) updated NEWS |bbaa50e| 
|  NEWS.md       | 79 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--
|  R/heatmaply.R |  1 +
|  2 files changed, 78 insertions(+), 2 deletions(-)

* 2016-08-27(Tal Galili) fix http to https |b82febb| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-08-04(Tal Galili) key.title - a parameter to control the main title of the color key. |f218455| 
|  NEWS             |  2 ++
|  R/heatmaply.R    | 16 ++++++++++++++--
|  man/heatmaply.Rd |  4 +++-
|  3 files changed, 19 insertions(+), 3 deletions(-)

* 2016-08-04(Tal Galili) ggheatmap - first try. (not working well enough yet. The proportions of the elements are not good) |75056b0| 
|  DESCRIPTION      |  9 +++---
|  NAMESPACE        |  1 +
|  NEWS             |  1 +
|  R/ggheatmap.R    | 85 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  R/heatmaply.R    | 33 +++++++++++++++++----
|  man/ggheatmap.Rd | 30 +++++++++++++++++++
|  man/heatmaply.Rd |  9 ++++--
|  7 files changed, 157 insertions(+), 11 deletions(-)

* 2016-08-04(Tal Galili) Added is.heatmapr |3befb25| 
|  NAMESPACE          |  1 +
|  NEWS               |  8 ++++++++
|  R/heatmapr.R       | 13 +++++++++++++
|  man/is.heatmapr.Rd | 18 ++++++++++++++++++
|  4 files changed, 40 insertions(+)

* 2016-07-15(Tal Galili) Requires plotly (>= 3.0.0) (although it needs plotly (>= 4.0.0)) - until 4.0.0 will get to CRAN. |df68118| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-07-15(Tal Galili) xlab, ylab - add titles to the x and y axis. |657bdf6| 
|  NEWS             |  2 +-
|  R/heatmaply.R    | 31 +++++++++++++++++++++++++------
|  man/heatmaply.Rd | 12 ++++++++----
|  3 files changed, 34 insertions(+), 11 deletions(-)

* 2016-07-15(Tal Galili) heatmaply 4.0.0 requires plotly 4.0.0 |2ec4252| 
|  DESCRIPTION | 6 +++---
|  1 file changed, 3 insertions(+), 3 deletions(-)

* 2016-07-15(Tal Galili) print is no longer needed for plotly 4.0.0 |5a8bb28| 
|  R/heatmaply.R    | 2 +-
|  man/heatmaply.Rd | 2 +-
|  2 files changed, 2 insertions(+), 2 deletions(-)

* 2016-07-15(Tal Galili) hide_colorbar - controls if the color bar should be hidden. |7a68071| 
|  NEWS             |  4 ++--
|  R/heatmaply.R    | 23 +++++++++++++++++++----
|  man/heatmaply.Rd |  6 ++++--
|  3 files changed, 25 insertions(+), 8 deletions(-)

* 2016-07-15(Tal Galili) Made titleX and titleY work (now we need to gain control over the text there...) |4f88d36| 
|  R/heatmaply.R | 14 ++++++++------
|  1 file changed, 8 insertions(+), 6 deletions(-)

* 2016-07-15(Tal Galili) srtRow, srtCol - add legacy support for these parameters (they are passed to row_text_angle and column_text_angle) (and a few more things) |c815e4b| 
|  NEWS             |  3 +++
|  R/heatmaply.R    | 39 ++++++++++++++++++++++++++++++---------
|  man/heatmaply.Rd |  9 +++++++--
|  3 files changed, 40 insertions(+), 11 deletions(-)

* 2016-06-21(Tal Galili) now works with dendextend::seriate_dendrogram |c660794| 
|  R/heatmapr.R | 6 ++----
|  1 file changed, 2 insertions(+), 4 deletions(-)

* 2016-06-13(Tal Galili) Added seriate to heatmapr - a character indicating the method of matrix sorting (default: "OLO"). This uses the seriation package. |1229bf4| 
|  DESCRIPTION             |  1 +
|  NAMESPACE               |  2 ++
|  NEWS                    | 56 ++++++++++++++++++++++++++++++++++--
|  R/heatmapr.R            | 73 ++++++++++++++++++++++++++++++++++++++++++++---
|  R/zzz.R                 |  2 ++
|  man/heatmapr.Rd         | 10 ++++++-
|  vignettes/heatmaply.Rmd | 36 +++++++++++++++++++++++
|  7 files changed, 172 insertions(+), 8 deletions(-)

* 2016-05-31(Tal Galili) typo |8000882| 
|  vignettes/heatmaply.Rmd | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-30(Tal Galili) update docs |07eac02| 
|  R/heatmaply.R    |  9 ++++++---
|  man/heatmaply.Rd | 18 ++++++++++++------
|  2 files changed, 18 insertions(+), 9 deletions(-)

* 2016-05-30(Tal Galili) colors can now also accept a function (and will use it to produce 256 colors) |0b454e6| 
|  NEWS                    |  1 +
|  R/heatmaply.R           | 25 ++++++++++++++-----------
|  vignettes/heatmaply.Rmd |  3 ++-
|  3 files changed, 17 insertions(+), 12 deletions(-)

* 2016-05-28(Tal Galili) hover over dendrogram now returns the height. |0ae8868| 
|  NEWS          | 1 +
|  R/heatmaply.R | 4 ++--
|  2 files changed, 3 insertions(+), 2 deletions(-)

* 2016-05-28(Tal Galili) upload a smaller gif... |ff7004d| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-28(Tal Galili) second attempt at resize |c6ff17a| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-28(Tal Galili) reduce size |116e5e3| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-28(Tal Galili) Screenshot demo |0b8da85| 
|  README.md | 6 ++++++
|  1 file changed, 6 insertions(+)

* 2016-05-28(Tal Galili) Use RColorBrewer for colors |1bbc15d| 
|  DESCRIPTION             |  3 ++-
|  vignettes/heatmaply.Rmd | 12 +++++++++---
|  2 files changed, 11 insertions(+), 4 deletions(-)

* 2016-05-27(Tal Galili) Use divergent color map for correlation matrix. |74b33df| 
|  vignettes/heatmaply.Rmd | 15 ++++++++++++++-
|  1 file changed, 14 insertions(+), 1 deletion(-)

* 2016-05-27(Tal Galili) grid_color - control the color of the heatmap grid. This is currently not working until this feature will be added by plotly. |7a3937b| 
|  NEWS                    |  9 +++++++++
|  R/heatmaply.R           | 51 ++++++++++++++++++++++++++++++++++++-----------
|  man/heatmaply.Rd        |  5 ++++-
|  vignettes/heatmaply.Rmd | 20 +++++++++++++++++++
|  4 files changed, 72 insertions(+), 13 deletions(-)

* 2016-05-26(Tal Galili) Move the creation of the ggplot heatmap outside |68b9c81| 
|  R/heatmaply.R | 69 +++++++++++++++++++++++++++++++++++----------------------
|  1 file changed, 43 insertions(+), 26 deletions(-)

* 2016-05-26(Tal Galili) update NEWS |4f589d3| 
|  ChangeLog | 129 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS      |   6 ++-
|  NEWS.md   |  41 +++++++++++++++++--
|  3 files changed, 171 insertions(+), 5 deletions(-)

* 2016-05-26(Tal Galili) heatmaply 0.3.2 is now on CRAN! |67de297| 
|  README.md               | 12 ++++++------
|  vignettes/heatmaply.Rmd |  4 ++--
|  2 files changed, 8 insertions(+), 8 deletions(-)

* 2016-05-26(Tal Galili) Add examples for using htmlwidgets::saveWidget and plotly::subplot. (from issue #8 ) |cc2a9f9| 
|  DESCRIPTION      |  3 ++-
|  R/heatmaply.R    | 20 ++++++++++++++++++++
|  man/heatmaply.Rd | 20 ++++++++++++++++++++
|  3 files changed, 42 insertions(+), 1 deletion(-)

* 2016-05-26(Tal Galili) http -> https |883d56f| 
|  DESCRIPTION | 2 +-
|  NEWS        | 5 +++++
|  README.md   | 3 +--
|  3 files changed, 7 insertions(+), 3 deletions(-)

* 2016-05-26(Tal Galili) not on CRAN yet. |9f4b774| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-26(Tal Galili) heatmaply 0.3.1 - fix minor typos in DESCIPTION. |716066a| 
|  DESCRIPTION | 12 ++++++------
|  NEWS        |  5 +++++
|  2 files changed, 11 insertions(+), 6 deletions(-)

* 2016-05-25(Tal Galili) heatmaply 0.3.0 - first CRAN release! |5a0b344| 
|  NEWS                    |  8 +++-----
|  README.md               |  6 +++---
|  vignettes/heatmaply.Rmd | 17 ++++-------------
|  3 files changed, 10 insertions(+), 21 deletions(-)

* 2016-05-25(Tal Galili) Added a new Startup Message |464c02c| 
|  R/zzz.R | 88 ++++++++++++++++++---------------------------------------------
|  1 file changed, 25 insertions(+), 63 deletions(-)

* 2016-05-25(Tal Galili) Added row_text_angle and column_text_angle (with srtRow and srtCol for backward compatibility with gplots::heatmap.2). Fix #3 |bb106a4| 
|  DESCRIPTION      |  3 ++-
|  NEWS             |  5 +++--
|  R/heatmaply.R    | 52 +++++++++++++++++++++++++++++++++++++++++-----------
|  man/heatmaply.Rd | 25 +++++++++++++++++++------
|  4 files changed, 65 insertions(+), 20 deletions(-)

* 2016-05-25(Tal Galili) Add example for using layout+margin to see matrix labels. |e8cc550| 
|  R/heatmaply.R    | 4 ++++
|  man/heatmaply.Rd | 4 ++++
|  2 files changed, 8 insertions(+)

* 2016-05-25(Tal Galili) Moved "scale_fill_gradient_fun" after "..." so to fix #2 : Error: Don't know how to add scale_fill_gradient_fun to a plot |7e020ac| 
|  NEWS             |  5 +++++
|  R/heatmaply.R    | 32 ++++++++++++++++++++------------
|  man/heatmaply.Rd | 18 +++++++++---------
|  3 files changed, 34 insertions(+), 21 deletions(-)

* 2016-05-25(Tal Galili) rename the hover to row and column |9be7d2b| 
|  R/heatmaply.R | 9 +++++----
|  1 file changed, 5 insertions(+), 4 deletions(-)

* 2016-05-25(Tal Galili) Added rmarkdown to suggests |598bb5d| 
|  DESCRIPTION | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2016-05-25(Tal Galili) Added knitr to suggests |6feb90b| 
|  DESCRIPTION | 2 ++
|  1 file changed, 2 insertions(+)

* 2016-05-25(Tal Galili) Add a vignette |e15b20c| 
|  DESCRIPTION             |   4 ++
|  NEWS                    |  11 +---
|  vignettes/heatmaply.Rmd | 158 ++++++++++++++++++++++++++++++++++++++++++++++
|  3 files changed, 164 insertions(+), 9 deletions(-)

* 2016-05-25(Tal Galili) no need to print in the output if plotly is in Depends |18b3897| 
|  R/heatmaply.R | 5 +++--
|  1 file changed, 3 insertions(+), 2 deletions(-)

* 2016-05-25(Tal Galili) move plotly to Depends (to reduce knitr problems) |91e6bec| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-25(Tal Galili) TODO: maybe use plot_ly(z = xx, type = "heatmap") in the future. |7cd0d60| 
|  R/heatmaply.R | 29 +++++++++++++++++------------
|  1 file changed, 17 insertions(+), 12 deletions(-)

* 2016-05-25(Tal Galili) heatmaply: added the margin parameter (to control the distance between the heatmap and the dendrograms.) |93d9431| 
|  NEWS             |  6 +++++-
|  R/heatmaply.R    | 15 ++++++++++++---
|  man/heatmaply.Rd | 10 ++++++++--
|  3 files changed, 25 insertions(+), 6 deletions(-)

* 2016-05-25(Tal Galili) remove space between the heatmap and dendrograms (via: coord_cartesian(expand = FALSE)  and coord_flip(expand = FALSE)) |04d6a9f| 
|  R/heatmaply.R | 11 +++++++++--
|  1 file changed, 9 insertions(+), 2 deletions(-)

* 2016-05-25(Tal Galili) heatmaply Now works with Rowv=F and Colv=F (by introducing a new un-exported function: heatmap_subplot_from_ggplotly) |2e6517b| 
|  DESCRIPTION   |   4 +--
|  NEWS          |   7 ++++
|  R/heatmaply.R | 110 ++++++++++++++++++++++++++++++++++++++++++++++++--------
|  3 files changed, 105 insertions(+), 16 deletions(-)

* 2016-05-25(Tal Galili) scale got confused with scale_fill_gradient_fun |227749a| 
|  NEWS | 15 +++++++++++++++
|  1 file changed, 15 insertions(+)

* 2016-05-24(Tal Galili) Added the "text_angle_column" parameter to rotate column text (it is now 45 degrees by default). |c8c77cc| 
|  R/heatmaply.R    | 15 +++++++++++++--
|  man/heatmaply.Rd |  5 ++++-
|  2 files changed, 17 insertions(+), 3 deletions(-)

* 2016-05-24(Tal Galili) fix typos |f1f3dd8| 
|  DESCRIPTION | 6 +++---
|  1 file changed, 3 insertions(+), 3 deletions(-)

* 2016-05-24(Tal Galili) Use @importFrom plotly |3550233| 
|  NAMESPACE | 6 +++++-
|  NEWS      | 2 +-
|  R/zzz.R   | 6 +++++-
|  3 files changed, 11 insertions(+), 3 deletions(-)

* 2016-05-24(Tal Galili) larger titles |30d6725| 
|  NEWS    | 11 +++++------
|  NEWS.md | 11 +++++------
|  2 files changed, 10 insertions(+), 12 deletions(-)

* 2016-05-24(Tal Galili) Add NEWS.md + ChangeLog |89e2725| 
|  ChangeLog | 121 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  NEWS.md   |  35 ++++++++++++++++++
|  2 files changed, 156 insertions(+)

* 2016-05-24(Tal Galili) fix various import issues that caused warnings with devtools::checks() |862ff8c| 
|  DESCRIPTION | 2 +-
|  NEWS        | 7 +++++++
|  2 files changed, 8 insertions(+), 1 deletion(-)

* 2016-05-24(Tal Galili) Import packages so to fix various CRAN warnings and errors. |9d87c65| 
|  DESCRIPTION  |  9 +++++----
|  NAMESPACE    |  6 ++++++
|  R/heatmapr.R |  8 ++------
|  R/zzz.R      | 25 +++++++++++++++++++++++++
|  4 files changed, 38 insertions(+), 10 deletions(-)

* 2016-05-23(Tal Galili) from aes to aes_string |9c87c2f| 
|  R/heatmaply.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2016-05-23(Tal Galili) remove CONDUCT.md |ac71a3e| 
|  .Rbuildignore | 3 ++-
|  1 file changed, 2 insertions(+), 1 deletion(-)

* 2016-05-23(Tal Galili) Code for calling devtools |6886408| 
|  R/zzz.R | 289 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
|  1 file changed, 289 insertions(+)

* 2016-05-23(Tal Galili) move magrittr and reshape2 from Depends to Imports (to remove CRAN NOTE on too many packages in Depends) |34005df| 
|  DESCRIPTION | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2016-05-23(Tal Galili) Remove .travis.yml from build |1029ed9| 
|  .Rbuildignore | 1 +
|  1 file changed, 1 insertion(+)

* 2016-05-23(Tal Galili) colour to color |6462b3e| 
|  R/heatmaply.R    | 22 +++++++++++-----------
|  man/heatmaply.Rd | 14 +++++++-------
|  2 files changed, 18 insertions(+), 18 deletions(-)

* 2016-05-23(Tal Galili) Moved to 0.2.0 - new options for controlling colors and tiny bug fixes. |121ddc4| 
|  DESCRIPTION |  4 ++--
|  NEWS        | 24 ++++++++++++++++++++++++
|  2 files changed, 26 insertions(+), 2 deletions(-)

* 2016-05-23(Tal Galili) Invitation for feature requests in README |7c36615| 
|  README.md | 5 +++++
|  1 file changed, 5 insertions(+)

* 2016-05-23(Tal Galili) Better control over colors via scale_fill_gradient_fun fix #1 issue. |0b73791| 
|  R/heatmaply.R    | 42 ++++++++++++++++++++++++++++++++++++++----
|  man/heatmaply.Rd | 28 ++++++++++++++++++++++++++--
|  man/heatmapr.Rd  |  4 ++--
|  3 files changed, 66 insertions(+), 8 deletions(-)

* 2016-05-23(Tal Galili) now using "scale" will work as expected. |70d81d0| 
|  R/heatmapr.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2016-05-23(Tal Galili) we use paste but we mean as.character |4543e64| 
|  R/heatmapr.R | 4 ++--
|  1 file changed, 2 insertions(+), 2 deletions(-)

* 2016-05-23(Tal Galili) remove axis text from dendrograms. |90de4ee| 
|  R/heatmaply.R | 16 ++++++++++++----
|  1 file changed, 12 insertions(+), 4 deletions(-)

* 2016-05-23(Tal Galili) Code to install plotly. |0d180dc| 
|  README.md | 1 +
|  1 file changed, 1 insertion(+)

* 2016-05-23(Tal Galili) Added row_dend_left parameter (it still doesn't fully work - but for now I'll keep it OFF). |c31a4f4| 
|  R/heatmaply.R | 32 ++++++++++++++++++++++++--------
|  1 file changed, 24 insertions(+), 8 deletions(-)

* 2016-05-23(Tal Galili) informative errors for mis-specified limits |87c815b| 
|  R/heatmaply.R | 8 ++++++++
|  1 file changed, 8 insertions(+)

* 2016-05-23(Tal Galili) use nrow and ncol |84791ae| 
|  R/heatmapr.R | 5 +++--
|  1 file changed, 3 insertions(+), 2 deletions(-)

* 2016-05-23(Tal Galili) Added the options: "colours" and "limits" to control the colors in the heatmap. (this may change soon to be compatible with heatmap.2 and also scale_colour_gradientn) |20638a5| 
|  R/heatmaply.R    | 37 +++++++++++++++++++++++++++++++------
|  man/heatmaply.Rd | 13 ++++++++++++-
|  2 files changed, 43 insertions(+), 7 deletions(-)

* 2016-05-23(Tal Galili) not on CRAN yet |6e83304| 
|  README.md | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-16(Tal Galili) The package depends on plotly 3.6.0 and above. |8ef793b| 
|  DESCRIPTION | 2 +-
|  1 file changed, 1 insertion(+), 1 deletion(-)

* 2016-05-14(Tal Galili) clear the gridlines from the dendrograms. |6c7d6ce| 
|  R/heatmaply.R | 19 ++++++++++++++++---
|  1 file changed, 16 insertions(+), 3 deletions(-)

* 2016-05-14(Tal Galili) For now, empty tooltip for the dendrograms. |3c14b9a| 
|  R/heatmaply.R | 6 ++++++
|  1 file changed, 6 insertions(+)

* 2016-05-14(Tal Galili) Fix basic NAMESPACE issue after moving to roxygen2 |3614dc9| 
|  NAMESPACE     | 3 +++
|  R/heatmaply.R | 6 +++++-
|  2 files changed, 8 insertions(+), 1 deletion(-)

* 2016-05-14(Tal Galili) First (very rough) version. It has a minimal working example, as well as MANY things to fix/tweak/adjust. |9e5fac8  
   .Rbuildignore    |   2 +
   .gitignore       |   3 +
   .travis.yml      |   9 ++
   CONDUCT.md       |  25 ++++
   DESCRIPTION      |  36 ++++++
   NAMESPACE        |  11 ++
   NEWS             |   4 +
   R/heatmaply.R    | 155 +++++++++++++++++++++++
   R/heatmapr.R     | 356 +++++++++++++++++++++++++++++++++++++++++++++++++++++
   README.md        |  91 ++++++++++++++
   heatmaply.Rproj  |  21 ++++
   man/heatmaply.Rd |  28 +++++
   man/heatmapr.Rd  | 117 ++++++++++++++++++
   13 files changed, 858 insertions(+)
